return {
    sub = function (a, b)
        return { a[1] - b[1], a[2] - b[2]}
    end, 

    add = function (a, b)
        return { a[1] + b[1], a[2] + b[2]}
    end, 
    
    len = function (a)
        local x, y = a[1], a[2]
        return math.sqrt(x * x + y * y)
    end, 
    
    dist_fast = function(a, b)
        return math.abs(a[1]-b[1]) + math.abs(a[2]-b[2])
    end,

    -- 长度平方
    len_sq = function (a)
        local x, y= a[1], a[2]
        return (x * x + y * y)
    end, 

    -- 距离平方
    dist_sq = function(a, b)
        local d = { a[1] - b[1], a[2] - b[2]}
        return d[1]*d[1] + d[2]*d[2]
    end,

    -- 距离
    dist = function(a, b)
        local d = { a[1] - b[1], a[2] - b[2]}
        return math.sqrt(d[1]*d[1] + d[2]*d[2])
    end,
}
