local log = logger.get("Game", "Actor State")
local super = require('RTS.actor_states.actor_state_base')

-- 角色击退状态
return class {
    super = super,
    onEnter = function(self, args)
       -- self.other = args[1]    -- 对方车辆
        self.fly_finished = false

        --self:playAnimation(self.anim_names.idle)-- 播放待机动画
        --self:stopMove()
        self.total_time = self.owner.cs_inst:BeginRootMotion("roll", "Prefab_Vehicle_Assult_Pickup_0")
        self.elapsed = 0.0
    end,

    onUpdate = function(self, dt)
        self.elapsed = self.elapsed + dt
        if self.elapsed >= self.total_time then
            self.fly_finished = true
            self.owner.cs_inst:StopRootMotion()

            if self.owner:isAlive()  then
                self.owner:changeState("idle")
            else
                self.owner:changeState("die")
            end
        end

    end,

    canChangeTo = function(self, next_state_name, ...)
        return self.fly_finished
    end,

    onExit = function(self)
        
    end,
}