local log = logger.get("Game", "Actor State")
local super = require('RTS.actor_states.actor_state_base')

-- 士兵组待机状态
return class {
    super = super,
    onEnter = function(self, args)
        self.soldiers = self.owner.soldiers
        
        for k,v in pairs(self.soldiers) do
            v:changeState('idle', args)
        end
    end,

    onUpdate = function(self, dt)
    end,

    onExit = function(self)
    end,
}