local log = logger.get("Game", "Actor State")
local super = require('RTS.actor_states.actor_state_base')

-- 士兵组逃逸状态
return class {
    super = super,
    onEnter = function(self, args)
        log.info("##### group state win!!")
        
        self.soldiers = self.owner.soldiers
        for _,actor in pairs(self.soldiers) do
            if actor:isAlive() then
                actor:changeState('win')   -- 播放欢呼动画
            end
        end
    end,


    canChangeTo = function(self, next_state_name, args)
        return false
    end,

    onUpdate = function(self, dt)

    end,

    onExit = function(self)
    end,
}