local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

-- 攻击敌人
return class {
    typename = 'action: attack enemy',
    super = super,
    ctor = function(self)
        super.ctor(self)
    end,

    -- 攻击敌人
    update = function(self, dt)
        local agent = self.ctx
        local enemy = agent.enemy
        local world = agent.world

        local rst = world:agentAttackEnemy(agent, enemy)
        if rst then
            return states.SUCCESS
        else
            return states.FAILURE
        end
        
    end,
}