local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

-- 攻击敌人
return class {
    typename = 'action: cast skill',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.force = select(1, ...)
    end,

    -- 攻击敌人
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        local rst = world:agentCastOpeningskill(agent, self.force)
        return states.SUCCESS
        
    end,
}