local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

return class {
    typename = 'action: finished',
    super = super,
    ctor = function(self)
        super.ctor(self)
    end,

    -- ai 结束
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        world:finished(agent)
        return states.SUCCESS
    end,
}