local super = require("bt.condition")
local states = super.states
local log = logger.get("Game", "BT")

-- 判断计时器是否到值
return class {
    typename = 'condition: is timer bigger than',
    super = super, 

    ctor = function (self, time_value)
        super.ctor(self)
        self.time_value = time_value or 9999
    end,

    update = function(self)
        local agent = self.ctx
        if agent.timer  then
            if agent.timer >= self.time_value then
                return states.SUCCESS
            else
                log.info('### timer'..agent.timer)
                return states.FAILURE
            end
        end      

        return states.FAILURE
    end,
}
