local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 删除标记
return class {
    typename = 'action: print mark',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.is_global = select(1, ...) -- 是否全局 mark
    end,

    -- 攻击敌人
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        -- 打印所有标记
        world:printMarks(agent, self.is_global)

        return states.SUCCESS
    end,
}