local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

return class {
    typename = 'action: ai move away from enemy',
    super = super,
    ctor = function(self)
        super.ctor(self)
    end,

    -- 移动到当前敌人
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world
        local enemy = agent.enemy

        --[[
        if agent.team == 0 then
            log.info('move to enemy')
        end]]

        if enemy == nil then
            return states.FAILURE
        else
            world:agentMoveAwayFromEnemy(agent)
            return states.SUCCESS
        end
        
    end,
}