
EReplyEventType = {
    EVT_ATK           = 0, --攻击
    EVT_DEF           = 1, --防御
    EVT_BUF_ADD       = 2, --添加BUF,
    EVT_BUF_DEL       = 3, --BUF消失
    EVT_ENERGY_MOD    = 4, --能量变化
    EVT_HP_MOD        = 5, --HP变化
    EVT_PROP_MOD      = 6, --属性变化事件
    EVT_BATTLE_END    = 7, --战斗结束事件
    EVT_ROBIN_ATK     = 8, --ROBIN攻击
    EVT_MOVE          = 9, --向目标移动
    EVT_SELECT_ENEMY  = 10,-- 选择敌人 
    EVT_DIE           = 11,-- 死亡
    EVT_POS           = 12,-- 位置同步
    EVT_SKILL_OVER    = 13,-- 技能结束
}

return {
    -- Actor 类型
    actor_types = enum
    {
        'UNKNOW',
        'COMMANDER',    -- 指挥官
        'VEHICLE',      -- 战车
        'SOLDIER',      -- 士兵
        'SOLDIER_GROUP',-- 士兵组
        'CANNON',       -- 炮台

    },

    -- Buff的目标类型
    buff_targets = enum
    {
        'SELF',
        'ENEMY',
        'ALL_ENEMY_VEHICLE',
        'ALL_ENEMY_SOLDIER',
        'ALL_TEAMATE_VEHICLE',
        'ALL_TEAMATE_SOLDIER',
    },

    -- 技能目标范围类型
    skill_area_types = enum
    {
        'NONE',
        'RECTANGLE',    -- 矩形范围
        'CIRCLE',       -- 圆形范围
        'SINGLE',       -- 单体
    },

    -- 战斗记录类型
    record_types = 
    {
        CHANGE_STATE  = 1, -- 角色改变状态
        SELECT_ENEMY  = 2, -- 选择当前敌人
        DO_DAMAGE     = 3, -- 进行伤害
    },

    -- 装备槽位
    equip_slots = 
    {
        MAIN_WEAPON = 1,    -- 主武器
        MINOR_WEAPON_1 = 2, -- 副武器 1
        MINOR_WEAPON_2 = 3, -- 副武器 2
        MINOR_WEAPON_3 = 4, -- 副武器 3
        MINOR_WEAPON_4 = 5, -- 副武器 4
        ORNAMENT_1 = 10,    -- 装饰物 1
        ORNAMENT_2 = 11,
        ORNAMENT_3 = 12,
        ORNAMENT_4 = 13,
    },

    -- 战斗类型
    battle_types = enum
    {
        'TEST',
        'LEVEL',
        'REPLAY',
        'RECRUIT',
    }
}
