return {
    -- 获取某指挥官的所有晋升配置
    getPromotionCfg = function(self, officer_id)
        local cfg = {}
        config.commander_promotions:foreach(
            function(k, v) 
                if v.commander_id == officer_id then
                    cfg[v.quality] = v
                end
            end
        )

        return cfg
    end,

    -- 获取某指挥官的所有觉醒/升星配置
    getAwakeCfg = function(self, officer_id)
        local cfg = {}
        config.commander_awakes:foreach(
            function(k, v)
                if v.commander_id == officer_id then
                     local key = v.starlevel*10 + v.awakelevel
                     cfg[key] = v
                end
            end
        )

        return cfg
    end,
}