local log = logger.get("Game", "prop")

-- 属性包基类，包含若干属性组
return class {
    ctor = function(self, cfg, level)
        self.cfg = cfg
        self.level = level
        self.groups = {}
    end,

    -- 初始化所有属性组
    init = function(self)

    end,

    -- 计算静态组
    computeStatic = function(self, level)

    end,

    -- 计算 final 组
    computeFinal = function(self)

    end,


    -- 获取属性组
    getGroup = function(self, group_idx)
        return self.groups[group_idx]
    end,

    -- 获取 final 属性组
    getFinalGroup = function(self)
        return self.final_group
    end,


    -- 获取属性
    getProp = function(self, prop_idx)
        return self.final_group:getProp(prop_idx)
    end,

    -- 输出所有属性组
    log = function(self)
        for _, group in pairs(self.groups) do
            group:log()
        end
    end,
}