-- 属性类型枚举
prop_types = {  
    ["ATK_INC"]         = 1,    -- 每等级增加
    ["DEF_INC"]         = 2,
    ["MAX_HP_INC"]      = 3,
    ["ATK_RAW"]         = 4,    -- 乘系数之前
    ["DEF_RAW"]         = 5,    -- 
    ["MAX_HP_RAW"]      = 6,    -- 
    ["HP"]              = 7,    -- 当前 HP
    ["ATK_FACTOR"]      = 8,    -- 系数
    ["DEF_FACTOR"]      = 9,
    ["MAX_HP_FACTOR"]   = 10,
    ["DAMAGE_ADD"]      = 11,
    ["DAMAGE_FACTOR"]   = 12, 
    ["BE_DAMAGED_REDUCE"]           = 13,  -- 受伤害减免， 抵消攻击方的 DAMAGE_ADD
    ["BE_DAMAGED_REDUCE_FACTOR"]    = 14,  -- 受伤害减免系数, 抵消攻击方德 DAMAGE_FACTOR
    ["TRUE_DAMAGE_ADD"]             = 15,  -- 保底攻击值
    ["TRUE_DAMAGE_ADD_FACTOR"]      = 16,  -- 保底攻击系数
    ["ATK"]             = 17,   -- 4 * 8 属性
    ["DEF"]             = 18,   -- 5 * 9 属性
    ["MAX_HP"]          = 19,   -- 6 * 10 属性
    ["MAX_ENERGY"]      = 20,
    ["ENERGY"]          = 21,
    ["ENERGY_RECOVER"]  = 22,   
    ["ATK_SPEED"]       = 23,   -- 影响普攻的攻速绝对值
    ["ATK_SPEED_FACTOR"]= 24,   -- 影响普攻攻速的系数
    ["ACCURACY"]        = 25,   -- 命中值 面板显示
    ["ACCURACY_RATE"]   = 26,   -- 命中率 用命中值计算来的，逻辑用的
    ["DODGE"]           = 27,   -- 闪避值
    ["DODGE_RATE"]      = 28,   -- 闪避率
    ["CRIT"]            = 29,   -- 暴击值
    ["CRIT_RATE"]       = 30,   -- 暴击几率
    ["CRIT_FACTOR"]     = 31,   -- 暴击倍率
    ["ANTI_CRIT"]       = 32,   -- 免疫暴击值
    ["ANTI_CRIT_RATE"]  = 33,   -- 免疫暴击几率
	["FIRE_POWER"]		= 34,   --为火力型武器加成的技能提供额外威力加成
	["ELECTRIC_POWER"]	= 35,   --为电力型武器加成的技能提供额外威力加成
	["MOTION_POWER"]	= 36,   --为动力型武器加成的技能提供额外威力加成
	["MAX"]             = 37,
}

-- 动态属性，使用前要判断是否存在
dynamic_prop_types =
{
}

MAX_HP_RAW_IDX = prop_types.MAX_HP_RAW
MAX_HP_FACTOR_IDX = prop_types.MAX_HP_FACTOR
HP_IDX = prop_types.HP
MAX_HP_IDX = prop_types.MAX_HP
ENERGY_IDX = prop_types.ENERGY
MAX_ENERGY_IDX = prop_types.MAX_ENERGY
ENERGY_RECOVER_IDX = prop_types.ENERGY_RECOVER
ATK_SPEED_IDX = prop_types.ATK_SPEED
ATK_SPEED_FACTOR_IDX = prop_types.ATK_SPEED_FACTOR
FIRE_POWER_IDX=prop_types.FIRE_POWER
ELECTRIC_POWER_IDX=prop_types.ELECTRIC_POWER
MOTION_POWER_IDX=prop_types.MOTION_POWER

-- 属性组类型枚举
prop_group_types = {
    ['BASE']        = 1,  -- 基本属性组，由升级得到的属性
    ['MAIN_WEAPON'] = 2,  -- 主武器
    ['MINOR_WEAPON'] = 3, -- 副武器
    ['DECORATION']  = 4,  -- 装饰物       
    ['OFFICER']     = 5,  -- 指挥官
    ['GIFT']        = 6,  -- 天赋，被动技能
    ['STATIC']      = 7,  -- 静态属性 -- 进入战斗后不变
    ['BATTLE']      = 8,  -- 战斗前下发的属性
    ['BUFF']        = 9,  -- Buff 属性
    ['FINAL']       = 10,  -- 最终值
}
