local log = logger.get("Game", "RTSStage")

-- 战斗状态
return class {
    super = require("common/state"),
    
    onEnter = function(self)
        log.info('#### ship battle state break wall onEnter')
        --self.owner:setPaused(false)    
        self.ship = self.owner.level_manager.ship
        --[[
        -- 创建 0 队的 AI
        self.owner:createActorsAI(0)
        -- 创建 1 队炮塔的 AI
        self.owner:createCannonsAI()

        self.owner:setPaused(false)]]
        self.ship:SetInteger("stage", 2) 
        self.elapsed = 0.0
    end,

    onUpdate = function(self, dt)
        if self.owner:updateTurnTimeBreakWall() then
            self.owner:changeState("landing_boat")
        end
        --[[
        self.elapsed = self.elapsed + dt
        if self.elapsed > 11 then
            self.owner:changeState("landing_boat")
        end]]
    end,

    onExit = function(self)
    end,

}