-- 判断目标的类型
local super = require("bt.condition")
local states = super.states
local log = logger.get("Game", "BT")

-- 判断是否有合法敌人
return class {
    typename = 'condition: is enemy type',
    super = super, 

    ctor = function (self, ...)
        super.ctor(self, ...)
        self.enemy_type = select(1, ...)
    end,

    update = function(self)
        local enemy = self.ctx.enemy
        if enemy ~= nil and enemy.cfg.type == self.enemy_type then
            return states.SUCCESS
        else
            return states.FAILURE
        end
    end,
}
