local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states


-- 从多个目标中选择一个作为当前敌人
return class {
    typename = 'action: set weather turning weapon',
    super = super,
    ctor = function(self, is_turning)
        super.ctor(self)
        self.is_turning = is_turning
    end,

    -- 选择敌人
    update = function(self, dt)

        local actor = self.ctx
        if actor and actor.main_weapon then
            actor.main_weapon:setTurning(self.is_turning)
        end
        return states.SUCCESS
       
    end,
}