local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 技能结束
return class {
    typename = 'action: show casting bar',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.total_time = select(1, ...)    -- 总时间
        self.left_to_right = select(2, ...) -- 是否从左向右
        self.inc_or_dec = select(3, ...)    -- 是增加还是减少
        self.is_in_order = select(4, ...)   -- 是否是有序打断
        self.skill_types = select(5, ...)   -- 技能类型列表
    end,

    update = function(self, dt)
        local actor = self.ctx
        actor:sk_showCastingBar(self.total_time, self.left_to_right, self.inc_or_dec, self.is_in_order, self.skill_types)

        return states.SUCCESS
     end,
}