local super = require("bt.action")
local states = super.states

return class {
    super = super, 

    update = function (self, dt)
        local ctx = self.ctx
        local skill = ctx.currentSkill
        if skill and skill:update(dt) then 
            return states.RUN
        end
        ctx.currentSkill = false
        return states.END
    end, 

    clone = function (self)
        return self.class.new()
    end, 
}
