local log = logger.get("Game", "State")
return class
{
    ctor = function(self, ...)
        
        self.name = select(1, ...);
        self.owner = select(2, ...);
    end,

    onEnter = function(self, args)
        --log.info('state onEnter:'..self.name)
    end,

    canChangeTo = function(self, name, args) 
        return true
    end,

    onUpdate = function(self, dt)
    end,

    onExit = function(self, to_state_name)
        --log.info('state onExit'..self.name)
    end,
}