local super = require("ui.frame")
local log = logger.get("Game", "Emp Aim")
local gui_helper = require('gui.gui_helper')
local emp_manager = require('level.emp_manager')

return class
{
    super = super,
    
    onLoaded = function (self)
        super.onLoaded(self)
        self.helper = require("gui.tool.frame_helper")

        clickEvents = {
            -- 模块面板
            "RootPanel/RootPanelClose",
            "RootPanel/ButtonFire"
        }

        -- 注册点击事件
        self.helper:regClickEvents("click", self, clickEvents)
    end,

    -- 关闭
    click_RootPanelClose = function(self)
        game_state_level:setFPSMode(false)
    end,

    -- 开火
    click_ButtonFire = function(self)
        --game_state_level:fpsFire()
        level_script:fpsFire()
    end,

    onUnload = function(self)

    end,
}