local log = logger.get("Game", "Guild Move Base Frame")
local super = require("ui.frame")

return class{
    super = super,

    onLoaded = function(self)
        super.onLoaded(self)

        clickEvents = 
        {
            "common_panel_01",
            "BG/OK",
        }

        -- 注册点击事件
        self.helper = require("gui.tool.frame_helper")
        self.helper:regClickEvents("click", self, clickEvents)
    end,

    click_common_panel_01 = function(self)
        frame_manager:hide("guild_move_base")
    end,

    click_OK = function(self)
        network_sender:movePersonalBase()
    end,
}