-- 设置阵型界面
local super = require("ui.frame")
local log = logger.get("Game", "Setting Formation Frame")
local gui_helper = require('gui.gui_helper')

return class
{
    super = super,

    onLoaded = function(self)
        super.onLoaded(self)

        clickEvents = {
            "closeBtn",
        }
    end,

    -- 注册点击事件
    self.helper = require("gui.tool.frame_helper")
    self.helper:regClickEvents("click", self, clickEvents)

    click_closeBtn = function(self)
        frame_manager:hide('setting_formation')
    end,
}
