require('guide/guide_helper')
local log = logger.get("Game", "guide 10003")

-- 10003 号引导 升级,点免费时间气泡。需要等免费时间气泡功能完成
return 
{
    -- 条件，舰桥可以升级
    condition = function()
        local rst = home_info:getResearchEntityLv() == 1 and home_info:getMainEntityLv() == 1
        return rst
    end,

    -- 执行过程，在协程中执行
    proc = function(id)
        log.info('guide 10003')
        local id = guide_manager.running_guide_id

        guide_helper:enableScreenMask()

        -- 摄像机定位到舰桥
        local entity_obj = guide_helper:cameraFocusToHomeEntity(4)
        log.info("### 11111")
        -- 等待点击
        guide_helper:waitForceHomeEntityGuide(entity_obj)
        log.info("### 22222")
        -- 等待用戶點擊升級按鈕
        guide_helper:waitForceHomeEntityButtonGuide(entity_obj, "content/layout/operator_2")

        log.info("### 333333")

        -- 等待建筑升级界面开启
        guide_helper:waitForFrame('home_entity_upgrade')

        -- 等待点升级
        guide_helper:waitForceButtonGuide("home_entity_upgrade", "content/un_upgrading/upgradeBtn")

        --

        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)
        guide_helper:guideFinished()
    end,

    -- 引导被打断
    onBreak = function(id)
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
