require('guide/guide_helper')
local log = logger.get("Game", "guide 10004")

-- 10004 号 加速建造
return 
{
    -- 条件，有建筑正在升级，并且所需时间超过免费时间
    condition = function()
        local entity = home_info:getUpgradingEntity()
        if not entity then
            --log.error('false 1')
            return false
        end

        if home_info:isBuildInFreeTime(entity.id) then
            --log.error('false 2')
            return false
        else
            --log.error('true')
            return true
        end
    end,

    -- 执行过程，在协程中执行
    proc = function(id)
        log.info('guide 10004')
        local id = guide_manager.running_guide_id
        -- guide_helper:enableScreenMask()

        -- --摄像机定位到正在升级的建筑
        -- local entity = home_info:getUpgradingEntity()
        -- local entity_obj = guide_helper:cameraFocusToHomeEntity(entity.grid_id)

        -- log.info("### 11111")
        -- -- 等待点击
        -- guide_helper:waitForceHomeEntityGuide(entity_obj)
        -- log.info("### 22222")
        -- -- 等待用戶點擊加速按鈕
        -- guide_helper:waitForceHomeEntityButtonGuide(entity_obj, "content/layout/operator_9")

        -- log.info("### 333333")
        -- -- 等待加速界面开启
        -- guide_helper:waitForFrame('home_speed_up')
        -- log.info("### 444444")

        -- 点击加速按钮
        guide_helper:waitForceButtonGuide("home_speed_up", "content/top/finishBtn")
        log.info("### 555555")

        -- 关闭屏幕遮罩
        --guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)
        guide_helper:guideFinished()
    end,

    -- 引导被打断
    onBreak = function(id)
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
