require('guide/guide_helper')
local log = logger.get("Game", "guide 10013")

-- 10013 关卡基础引导
return 
{
    -- 条件
    condition = function()
        -- local vsb, frame = frame_manager:isDisplay('home_barrack')
        -- if vsb then
        --     return not frame:isTrapBuild()
        -- else
        --     return false
        -- end
        return true
    end,

    -- 执行过程，在协程中执行
    proc = function(id)
        log.info('guide 10013')
        local id = guide_manager.running_guide_id

        guide_helper:enableScreenMask()
        
        --精灵出现，“我来教你基本操作”
        guide_helper:waitGuideSpriteShow(Vector3(0, 0, 0))
        guide_helper:guideSpriteFacing(0)
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_26'))
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)

        -- 精灵移动至右上角，“这里是部队的当前血量和汽油”
        guide_helper:guideSpriteMove(Vector3(336,372,0), 1.5)
        coroutine.yield(WaitForSeconds(1.8))
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_26'),"bottom_right")
        local frame = frame_manager:getFrame("level")
        local area = frame.transform:Find("Top Right/PlayerInfo")
        local canvas, raycaster = guide_helper:beginHighlightUIControl(area, "Temp", false)
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:endHighlightUIControl(canvas, raycaster)

        -- 精灵移动至下方，较少每个补给品
        guide_helper:guideSpriteFacing(1)
        guide_helper:guideSpriteMove(Vector3(-390,-329,0), 1.5)
        coroutine.yield(WaitForSeconds(1.6))
        guide_helper:guideSpriteFacing(0)
        coroutine.yield(WaitForSeconds(0.2))
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_28'))
        local frame = frame_manager:getFrame("level")
        local area = frame.transform:Find("Bottom Left/ItemBar")
        local canvas, raycaster = guide_helper:beginHighlightUIControl(area, "Temp", false)
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:endHighlightUIControl(canvas, raycaster)
        
        --汽油
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_29'))
        local frame = frame_manager:getFrame("level")
        local area = frame.transform:Find("Bottom Left/ItemBar/Item_1")
        local canvas, raycaster = guide_helper:beginHighlightUIControl(area, "Temp", false)
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:endHighlightUIControl(canvas, raycaster)

        --饼干
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_30'))
        local frame = frame_manager:getFrame("level")
        local area = frame.transform:Find("Bottom Left/ItemBar/Item_2")
        local canvas, raycaster = guide_helper:beginHighlightUIControl(area, "Temp", false)
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:endHighlightUIControl(canvas, raycaster)

        --铲子
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_31'))
        local frame = frame_manager:getFrame("level")
        local area = frame.transform:Find("Bottom Left/ItemBar/Item_3")
        local canvas, raycaster = guide_helper:beginHighlightUIControl(area, "Temp", false)
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:endHighlightUIControl(canvas, raycaster)


        --任务介绍
        guide_helper:guideSpriteMove(Vector3(-260,226,0), 1.5)
        coroutine.yield(WaitForSeconds(1.6))
        guide_helper:guideSpriteFacing(1)
        coroutine.yield(WaitForSeconds(0.2))
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_32'),"top_left" )
        local frame = frame_manager:getFrame("level")
        local area = frame.transform:Find("Top Left/Mission")
        local canvas, raycaster = guide_helper:beginHighlightUIControl(area, "Temp", false)
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:endHighlightUIControl(canvas, raycaster)

        --结束
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:guideSpriteFacing(0)
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_33'))
        guide_helper:waitAnyTouch()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:waitGuideSpriteHide()
        --点击goto
        guide_helper:waitForceButtonGuide('level', 'Top Left/Mission/Panel/openAllMission/Layout/mission_1/ButtonLocate')
        guide_manager:onGuideComplete(id)
        guide_helper:disableScreenMask()
        guide_helper:guideFinished()
    end,

    -- 引导被打断
    onBreak = function(id)
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
