require('guide/guide_helper')
local log = logger.get("Game", "guide 10006")

-- 10006 打一个怪 （不会有个人怪）
return 
{
    -- 条件
    condition = function()
        return true
    end,

    -- 执行过程，在协程中执行
    proc = function(id)
        log.info('guide 10006')
        local id = guide_manager.running_guide_id
        coroutine.yield(WaitForSeconds(0.1))
        guide_helper:enableScreenMask()
        --guide_helper:waitDialogFinished(10002)
        -- 弹出对话框：这里是建筑升级效果的预览



        guide_helper:waitGuideSpriteShow(Vector3(-683, -239, 0))
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_14'))
        -- 用户点击训练按钮
        guide_helper:waitForceButtonGuide("home", "new/buttomLeft/bg/homeBtn")
        guide_helper:guideSpriteDialog(nil)
        guide_helper:waitGuideSpriteHide()
        -- 等待 worldMap 界面加载
        guide_helper:waitForFrame('worldMap')
        
        guide_helper:waitGuideSpriteShow(Vector3(371, -167, 0))
        guide_helper:guideSpriteFacing(0)
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_15'))
        -- 搜索按钮
        guide_helper:waitForceButtonGuide("worldMap", "new/buttomRight/SearchBtn")
        guide_helper:guideSpriteDialog(nil)
        guide_helper:waitGuideSpriteHide()
        -- 等搜索界面改版
        -- 搜索界面开启
        guide_helper:waitForFrame('world_map_search')
        
        -- 等待界面填充
        guide_helper:waitSearchFrameLoaded()
        local search_result = guide_helper:setSearchMonsterLv(3)
        if search_result == 0 then
            hint:setText("No available monster, please try again later")
            guide_manager:onGuideComplete(id)
            guide_helper:guideFinished()
            return
        end

        -- 点击搜索按钮
        guide_helper:waitForceButtonGuide("world_map_search", "BG/Bottom/Search")

        guide_helper:waitGuideSpriteShow(Vector3(-324, 29, 0))
        guide_helper:guideSpriteFacing(0)
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_16'))
        -- 等待点怪物
        guide_helper:waitForceMonsterGuide()
        guide_helper:guideSpriteDialog(nil)
        guide_helper:waitGuideSpriteHide()
        -- 等待怪物信息界面
        guide_helper:waitForFrame('world_monster_info')

        -- 等待点攻击
        guide_helper:waitForceButtonGuide("world_monster_info", "BG/Normal/Launch")

        -- 等待出征界面打开
        guide_helper:waitForFrame('launch_rally')

        -- 点自动选择
        guide_helper:waitGuideSpriteShow(Vector3(324, -285, 0))
        guide_helper:guideSpriteFacing(0)
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_17'))
        guide_helper:waitForceButtonGuide("launch_rally", "BG/Content/Buttons/Auto")

        -- 点出发
        guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_18'))
        guide_helper:waitForceButtonGuide("launch_rally", "BG/Content/Buttons/Send")
        guide_helper:guideSpriteDialog(nil)
        guide_helper:waitGuideSpriteHide()
        guide_manager:onGuideComplete(id)

        -- 回到个人基地
        guide_helper:disableScreenMask()
        coroutine.yield(WaitForSeconds(2.0))

        if frame_manager:isDisplay("worldMap") == true then
            guide_helper:waitGuideSpriteShow(Vector3(-731, -285, 0))
            guide_helper:guideSpriteDialog(frame_helper:getLangCfg('guide_19'))
            guide_helper:waitForceButtonGuide("worldMap", "new/buttomLeft/bg/homeBtn")
            guide_helper:guideSpriteDialog(nil)
            guide_helper:waitGuideSpriteHide()
        end

        -- 关闭屏幕遮罩
        
        guide_helper:guideFinished()

    end,

    -- 引导被打断
    onBreak = function(id)
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
