require('guide/guide_helper')
local log = logger.get("Game", "guide 10012")

-- 10021 训练船员
return 
{
    -- 进行的额外条件，比如资源是否够
    condition = function()
        if not guide_helper:getHomeEntityLevel(22) then
            return false
        else
            return true
        end
    end,

    -- 执行过程，在协程中执行
    proc = function()
        local id = guide_manager.running_guide_id

        -- 开启屏幕遮罩
        guide_helper:enableScreenMask()
        local entity_obj = guide_helper:cameraFocusToHomeEntity(10)     --focus to grid 13
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:waitForceHomeEntityGuide(entity_obj)
        entity_obj = guide_helper:cameraFocusToHomeEntity(10) 
        game_state_home.home_map:onClickEntity(10)
        
        --coroutine.yield(WaitForSeconds(0.1))
        guide_helper:waitForceHomeEntityButtonGuide(entity_obj, "content/layout/operator_27")
        guide_helper:waitForFrame('home_main_forge')
        guide_helper:disableScreenMask()
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:showWeakButtonGuide('home_main_forge', 'content/bg/layout/1/icon')
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:waitForFrame('home_forge_preview')
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:showWeakButtonGuide('home_forge_preview', 'content/bg/Scroll View/Viewport/Content/1/info/un_upgrade/forgeBtn')
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:waitForFrame('home_forge_upgrade')
        coroutine.yield(WaitForSeconds(0.5))
        guide_helper:showWeakButtonGuide('home_forge_upgrade', 'Right/un_upgrade/upgradeBtn')

        
        -- 关闭屏幕遮罩
        
        guide_manager:onGuideComplete(id)
        guide_helper:guideFinished()
        -- 引导完成
        

    end,

    -- 引导被打断
    onBreak = function(id)
        guide_helper:disableScreenMask()
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
