require('guide/guide_helper')
local log = logger.get("Game", "guide 1")

-- 1 号引导    引导章节任务界面
return 
{
    -- 进行的额外条件，比如资源是否够

    -- 执行过程，在协程中执行
    proc = function()
        local id = guide_manager.running_guide_id

        -- 开启屏幕遮罩
        
        
        --guide_helper:waitDialogFinished(309)    --游戏介绍

        guide_helper:enableScreenMask()
        -- 显示强制引导，点击章节任务快捷方式
        coroutine.yield(guide_helper:waitForceButtonGuide('home', 'new/leftCenter/ButtonChapterAchievementGo'))
        
        -- 攝像機移到目標上
        local entity_obj = guide_helper:cameraFocusToHomeEntity(1)

        -- 等待用戶點擊 home entity
        coroutine.yield(guide_helper:waitForceHomeEntityGuide(entity_obj))

        -- 等待用戶點擊升級按鈕
        coroutine.yield(guide_helper:waitForceHomeEntityButtonGuide(entity_obj, "content/layout/Button (2)"))

        -- 等待开启升级界面
        coroutine.yield(guide_helper:waitForFrame('home_entity_upgrade'))
        -- 显示强制引导，等待用户点击
        coroutine.yield(guide_helper:waitForceButtonGuide('home_entity_upgrade', 'content/state1/completeBtn'))

        frame_manager:hide('home_entity_upgrade')       --不起效

        guide_helper:waitDialogFinished(311)    --鼓励一下

        coroutine.yield(guide_helper:waitForceButtonGuide('home', 'new/leftCenter/ButtonChapterAchievementGo'))
        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)
       
    end,

    -- 引导被打断
    onBreak = function(id)
        guide_helper:disableScreenMask()
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
