require('guide/guide_helper')
local log = logger.get("Game", "guide 2")

-- 10001 号引导 兵工厂制造装备引导
return 
{
    -- 进行的额外条件，比如资源是否够
   -- 进行的额外条件，比如资源是否够
    condition = function()
        return false
    end,

    -- 执行过程，在协程中执行
    proc = function(id)
        log.error('guide 10001')
        local id = guide_manager.running_guide_id

        guide_helper:enableScreenMask()

        local entity_obj = guide_helper:cameraFocusToHomeEntity(11)

        -- 等待点击兵工厂
        coroutine.yield(guide_helper:waitForceHomeEntityGuide(entity_obj))

        -- 等待点击制造
        coroutine.yield(guide_helper:waitForceHomeEntityButtonGuide(entity_obj, "content/layout/Button (3)"))

        --等待制造界面打开
        coroutine.yield(guide_helper:waitForFrame('blueprint_select'))

        --log.error('0')
        --等待点击武器
        coroutine.yield(guide_helper:waitForceButtonGuide('blueprint_select', 'BG/Weapon'))

        --log.error('1')
        --等待另一个制造界面打开
        coroutine.yield(guide_helper:waitForFrame('armory_frame'))

        --log.error('2')
        --等待立即完成
        coroutine.yield(guide_helper:waitForceButtonGuide('armory_frame', 'BG/FinishBtn'))

        --log.error('3')
        --等待制造结果界面
        coroutine.yield(guide_helper:waitForFrame('getItems'))

        --log.error('4')
        --等待点击武器
        guide_helper:waitAnyTouch()
        --coroutine.yield(guide_helper:waitForceButtonGuide('getItems', 'Frame/HasButton/BG/Confirm'))
        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)
    end,

    -- 引导被打断
    onBreak = function(id)
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
