require('guide/guide_helper')
local log = logger.get("Game", "guide 10006")

-- 10006 每日任务
return 
{
    -- 进行的额外条件，比如资源是否够
    condition = function()
        return false
    end,

    -- 执行过程，在协程中执行
    proc = function()
        local id = guide_manager.running_guide_id

        -- 开启屏幕遮罩
        guide_helper:enableScreenMask()
        --log.error('11')
        --打开公会申请界面后
        coroutine.yield(guide_helper:waitForceButtonGuide('daily_task', 'BG/Right/Scroll View/Viewport/Content/NormalTask(Clone)1001/Button'))

        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)

    end,

    -- 引导被打断
    onBreak = function(id)
        guide_helper:disableScreenMask()
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
