require('guide/guide_helper')
local log = logger.get("Game", "guide 10016")

-- 100016   引导修理
return 
{
    -- 进行的额外条件，比如资源是否够
    condition = function()
        return true    
    end,

    -- 执行过程，在协程中执行
    proc = function()
        local id = guide_manager.running_guide_id

        guide_helper:enableScreenMask()
        
        guide_helper:waitDialogFinished(352)    --车坏了要修
        -- 攝像機移到目標上
        local entity_obj = guide_helper:cameraFocusToHomeEntity(9)

        -- 等待用戶點擊 home entity
        coroutine.yield(guide_helper:waitForceHomeEntityGuide(entity_obj))

        -- 等待用戶點擊修理按钮
        coroutine.yield(guide_helper:waitForceHomeEntityButtonGuide(entity_obj, "content/layout/Button (3)"))

        -- 等待开启升级界面
        coroutine.yield(guide_helper:waitForFrame('repair'))
        -- 点击自动选择
        coroutine.yield(guide_helper:waitForceButtonGuide('repair', 'content/selectTankBtn'))

        guide_helper:waitDialogFinished(353)    --车正在修了，爱干嘛干嘛

        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)

    end,

    -- 引导被打断
    onBreak = function(id)
        guide_helper:disableScreenMask()
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
