function g_TableToStr(obj)  
    local lua = ""  
    local t = type(obj)  
    if t == "number" then  
        local v = math.floor(obj * 100) * 0.01
        lua = lua .. v  
    elseif t == "boolean" then  
        lua = lua .. tostring(obj)  
    elseif t == "string" then  
        lua = lua .. string.format("%q", obj)  
    elseif t == "table" then  
        lua = lua .. "{"  
		local i = 1
        for k, v in pairs(obj) do  
		   local signal = ","
		   
		   if i == 1 then
		     signal = ""
		   end
		   
		   if type(k) == "string" then
           lua = lua .. signal .. "[" .. g_TableToStr(k) .. "]=" .. g_TableToStr(v)  
		   else
		   lua = lua .. signal .. g_TableToStr(v)  
		   end
		   i = i + 1
        end  
        lua = lua .. "}"  
    elseif t == "nil" then  
        return ""
    else  
        return lua
    end  
    return lua  
end  

function g_StrToTable(lua)  
    local t = type(lua)  
    if t == "nil" or lua == "" then  
        return nil  
    elseif t == "number" or t == "string" or t == "boolean" then  
        lua = tostring(lua)  
    else  
         
    end  
    lua = "return " .. lua  
    local func = loadstring(lua)  
    if func == nil then  
        return nil  
    end  
    return func()  
end 


--[[local t1 = {A=1, B={1, b="strBb", {x='strB2x', y=0.1}, z=true } }
print(t1.B[2].x)
-- strB2x

local str1 = g_TableToStr(t1)
print(str1)
-- {['A']=1,['B']={1,{['y']=0.1,['x']='strB2x'},['b']='strBb'}}

local t2 = g_StrToTable(str1)
print(t2['B'][2].x)
-- strB2x]]--
 