local log = logger.get("Game", "Dialog Helper")

dialog_helper = {

    getScenarioCfg = function(self)

        local tab = {}

        config.dialog_configs:foreach(
            function (k, v)
                if not tab[v.scenario] then
                    tab[v.scenario] = {}
                end
                table.insert(tab[v.scenario], v)
            end
        )

        for _, scenarios in pairs(tab) do
            table.sort(scenarios, function(a,b) return a.id < b.id end)
        end

        return tab
    end,
}

return dialog_helper