local log = logger.get("Game", "Actor State")
local super = require('RTS.actor_states.actor_state_base')
local actor_types = require('RTS.enums').actor_types

-- 角色待机状态
return class {
    super = super,
    onEnter = function(self, args)
        log.info("###### onEnter win!!")

        self:playAnimation(self.anim_names.win, true)-- 播放胜利动画
        self:stopMove()
        
    end,

    canChangeTo = function(self, next_state_name, ...)
        return false
    end,

    onExit = function(self)
    end,
}