local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

-- 添加到摄像机列表
return class {
    typename = 'action: attack enemy',
    super = super,
    ctor = function(self)
        super.ctor(self)
    end,

    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        world:addToCameraView(agent)
        return states.SUCCESS
        
    end,
}