local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

-- 攻击敌人
return class {
    typename = 'action: cast skill',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.skill_id = select(1, ...)
    end,

    -- 攻击敌人
    update = function(self, dt)
        local agent = self.ctx
        local enemy = agent.enemy
        local world = agent.world

        local rst = world:agentCastSkill(agent, enemy, self.skill_id)
        if rst then
            return states.SUCCESS
        else
            return states.FAILURE
        end
    end,
}