local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 脱离战场
return class {
    typename = 'action: attack enemy',
    super = super,
    ctor = function(self)
        super.ctor(self)
    end,

    -- 脱离战场
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        world:agentEscape(agent)
        
        return states.SUCCESS
    end,
}