local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

return class {
    typename = 'action: follow tank',
    super = super,
    ctor = function(self, enemy_type)
        super.ctor(self)
        --self.enemy_type = enemy_type
    end,

    -- 选择宿主坦克并且跟随
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        world:followOwnerTankAndAttack(agent)
        
        return states.SUCCESS
    end,
}