local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

return class {
    typename = 'action: idle',
    super = super,
    ctor = function(self)
        super.ctor(self)
    end,

    -- 移动到当前敌人
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        world:agentIdle(agent)
        return states.SUCCESS
    end,
}