local super = require("bt.condition")
local states = super.states
local log = logger.get("Game", "BT")

-- 判断是否有合法敌人
return class {
    typename = 'condition: is enemy valid',
    super = super, 

    ctor = function (self, ...)
        super.ctor(self, ...)
    end,

    update = function(self)

        local enemy = self.ctx.enemy
        if enemy ~= nil and enemy:isAlive() and not enemy.removed then
            log.debug(self.typename..' return success' )
            return states.SUCCESS
        else
            log.debug(self.typename..' return failed' )
            return states.FAILURE
        end
    end,
}
