local super = require("bt.condition")
local states = super.states
local log = logger.get("Game", "BT")

-- 判断士兵的 owner 坦克是否死亡
return class {
    typename = 'condition: is owner dead',
    super = super, 

    ctor = function (self, ...)
        super.ctor(self, ...)
    end,

    update = function(self)
        local agent = self.ctx
        if not agent.owner or not agent.owner:isAlive() then
            return states.SUCCESS
        else
            return states.FAILURE
        end

    end,
}