local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states
local vec2 = require('base.vec2')

return class {
    typename = 'action: timer_begin',
    super = super,
    ctor = function(self, init_value)
        super.ctor(self)
        self.init_value = init_value or 0
    end,

    -- 选择敌人
    update = function(self, dt)
        local agent = self.ctx
        local world = agent.world

        agent.timer = self.init_value

        --log.debug(self.typename..' return success.')
        return states.SUCCESS
       
    end,
}