local log = logger.get("Game", "Area")

-- 角色基类,只定义子类必须要实现的一些函数
return class{ 
    ctor = function(self, team)
        self.team = team
    end,

    -- 获取有重叠的角色
    intersectActors = function(self, actors)
        log.info('子类应该实现本函数!!')
        return nil  
    end,
}