 local log = logger.get("Game", "Home")
local frame_helper = require("gui.tool.frame_helper")
local enums = require("RTS.home_sys.home_enums")

return class
{
    ctor = function(self, owner, events, root)
        self.home_map = owner
        self.events = events
        self.root = root
    end,

    refresh = function()
        -- print("刷新")
    end,

    createModel = function(self)
        log.error("请在子类重写 createModel 方法!!!")
    end,

    destroyModel = function(self)
        if self.model then
            self.model:destroy()
        end
        self.model = nil
    end,

    interactEntity = function(self)
    end,

    exit = function(self)
        self:destroyModel()
    end,
}