local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 施法完成
return class {
    typename = 'action: casting complete',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
    end,

    setContext = function (self, ctx)
        self.ctx = ctx
    end, 

    update = function(self, dt)
        local actor = self.ctx
        local skill_state = actor.skill_state

        -- assert(skill_state.name == 'skill')

        skill_state.casting_complete = true
        if skill_state.skill_cfg.skill_type == 1 then
            actor:addEnergy(-100)   -- 扣蓝
        end

        return states.SUCCESS
     end,
}