-- 判断目标的类型
local super = require("bt.condition")
local states = super.states
local log = logger.get("Game", "BT")

-- 判断是否打中了敌人
return class {
    typename = 'condition: is hit enemy',
    super = super, 

    ctor = function (self, ...)
        super.ctor(self, ...)
    end,

    update = function(self)
        local actor = self.ctx
        
        if actor.last_hit_actor then
            --log.info('############ hit enemey!!')
            return states.SUCCESS
        else
            --log.info('############# not hit enemy!!')
            return states.FAILURE
        end
    end,
}
