local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 播放动画
return class {
    typename = 'action: play animation',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.anim_name = select(1, ...)
    end,

    update = function(self, dt)
        local actor = self.ctx
        --[[
        if actor.team == 1 then
            log.info("### play animation:"..self.anim_name)
        end]]

        actor:sk_playAnimation(self.anim_name or actor.anim_names.attack)

        return states.SUCCESS
     end,
}