local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 设置摄像机 size factor
return class {
    typename = 'action: set avoidance priority',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.priority = select(1, ...)

    end,

    update = function(self, dt)
        local actor = self.ctx
        if self.priority then
            actor.cs_inst:SetAvoidancePriority(self.priority)
        else
            actor.cs_inst:SetAvoidancePriority(actor.cfg.avoid_priority)
        end
        return states.SUCCESS
     end,
}