local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 设置摄像机 size factor
return class {
    typename = 'action: set avoidance quality',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.quality = select(1, ...)

    end,

    update = function(self, dt)
        local actor = self.ctx
        actor.cs_inst:SetAvoidanceQuality(self.quality)
        return states.SUCCESS
     end,
}