local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 设置摄像机 size factor
return class {
    typename = 'action: set camera size factor',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.size_factor = select(1, ...)
        self.smooth_factor = select(2, ...)
    end,

    update = function(self, dt)
        return states.SUCCESS
     end,
}