local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 播放动画
return class {
    typename = 'action: shake camera',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.anim_name = select(1, ...)
    end,

    update = function(self, dt)
        local actor = nil
        local state = self.ctx.curr_state
        if self.ctx.is_minor_weapon then actor = self.ctx.actor else actor = self.ctx end
        battle_helper:playCamAnim(self.anim_name)
        return states.SUCCESS
     end,
}