local log = logger.get("Game", "BT")
local super = require('bt.action')
local states = super.states

-- 设置是否在潜行
return class {
    typename = 'action: stop rush',
    super = super,
    ctor = function(self, ...)
        super.ctor(self)
        self.is_sneak = select(1, ...) 
    end,

    setContext = function (self, ctx)
        self.ctx = ctx
    end, 

    update = function(self, dt)
        local actor = self.ctx
        
        actor.is_sneak = self.is_sneak

        return states.SUCCESS
     end,
}