local log = logger.get("Game", "rts_stage")

return{
    ext_ctor = function(self)
        self.auto_skill_self = game_info.is_auto_skill
        self.time_scale = 1.0
    end,
    
    setTimeScale = function(self, scale)
        Time.timeScale = scale
        self.time_scale = scale
    end,

    setGamePause = function(self, pause)
        self:setPaused(pause)

        if pause then
            Time.timeScale = 0.0
        else
            Time.timeScale = self.time_scale
        end
    end,

    switchAutoSkill = function(self)
        self.auto_skill_self = not self.auto_skill_self
        game_info.is_auto_skill = self.auto_skill_self
        return self.auto_skill_self
    end,

    -- 释放技能
    castMaiWeaponSkill = function(self, actor)
        if actor.target_actor then
            actor:ai_castUltimateSkill(actor.target_actor)
        end
    end,

}