local super = require("bt.action")
local states = super.states

return class {
    super = super, 

    ctor = function (self, time)
        self.time = time or 0.33
    end, 

    enter = function (self)
        self.elapsed = 0
        return true
    end, 

    update = function (self, dt)
        self.elapsed = self.elapsed + dt
        if self.elapsed >= self.time then 
            self.elapsed = 0
            if self.ctx:selectSkill() then 
                return states.END
            end
        end
        return states.RUN
    end, 

    clone = function (self)
        return self.class.new(self.time)
    end, 
}