gConfig.lang_33_langs = {
["errorcode_100"] = {"分配对象失败","Failed to assign",},
["errorcode_101"] = {"没有对应的配置","No corresponding settings",},
["errorcode_102"] = {"玩家不存在,或处于离线状态","Player does not exist or is offline",},
["errorcode_1000"] = {"帐号错误","Incorrect Account Name",},
["errorcode_1001"] = {"密码错误","Incorrect Password",},
["errorcode_1002"] = {"版本错误","Incorrect Version",},
["errorcode_1003"] = {"名字含有屏蔽字","Captain name is forbidden",},
["errorcode_1004"] = {"角色名已存在","Captain name already exists",},
["errorcode_1005"] = {"不是指定帐号","Not designated account",},
["errorcode_1006"] = {"选择的角色不存在","Selected account name does not exist",},
["errorcode_1007"] = {"角色被禁止登录","Account is banned",},
["errorcode_1008"] = {"帐号不存在","Account does not exist",},
["errorcode_1009"] = {"删除角色不存在","Account cannot be deleted, it does not exist",},
["errorcode_1010"] = {"加载玩家数据失败","Failed to load player data",},
["errorcode_1011"] = {"玩家处于离线状态","Player is offline",},
["errorcode_1012"] = {"名字长度非法","Name length illegal",},
["errorcode_1013"] = {"名字非法","Have illegal char",},
["errorcode_1014"] = {"名字相同无法修改","Name is same",},
["errorcode_2000"] = {"道具不存在","Item does not exist",},
["errorcode_2001"] = {"道具无法使用","Current item cannot be used",},
["errorcode_2002"] = {"使用道具数量不足","Not enough item amount",},
["errorcode_2003"] = {"使用道具数量错误","Incorrect item amount",},
["errorcode_2004"] = {"出售道具不存在","Item cannot be sold, it does not exist",},
["errorcode_2005"] = {"已装备的装备无法出售","Equipped item cannot be sold",},
["errorcode_2006"] = {"装备处于锁定状态,无法出售","Locked item cannot be sold",},
["errorcode_2007"] = {"此道具不可出售","Current item cannot be sold",},
["errorcode_2008"] = {"强化道具不存在","errorcode_2008",},
["errorcode_2009"] = {"当前装备不能强化","errorcode_2009",},
["errorcode_2010"] = {"强化素材不足","errorcode_2010",},
["errorcode_2011"] = {"齿轮不足","Not enough gear",},
["errorcode_2012"] = {"装备不存在","Equipment does not exist",},
["errorcode_2013"] = {"装备锁定","Current equipment is locked",},
["errorcode_2014"] = {"当前类型装备无法分解","errorcode_2014",},
["errorcode_2015"] = {"装备分解列表为空","errorcode_2015",},
["errorcode_2016"] = {"装备类型不正确","Incorrect equipment type",},
["errorcode_2017"] = {"装备槽位不正确","Incorrect equipment slot",},
["errorcode_2018"] = {"指挥官和装备类型不匹配","Equipment type does not match the commander",},
["errorcode_2019"] = {"仓库空间不足，无法卸载","Equipment cannot be upequipped: not enough space",},
["errorcode_2020"] = {"对应槽位没有装备","No equipment is in target slot",},
["errorcode_2021"] = {"指挥官不存在","Commander does not exist",},
["errorcode_2022"] = {"没有量子装备模块","errorcode_2022",},
["errorcode_2023"] = {"已经装备","errorcode_2023",},
["errorcode_2024"] = {"已经达到最高等级","errorcode_2024",},
["errorcode_2025"] = {"量子装备升级材料不够","errorcode_2025",},
["errorcode_2026"] = {"量子装备槽位错误","errorcode_2026",},
["errorcode_2027"] = {"指挥官晋升已达到最高等级","errorcode_2027",},
["errorcode_2028"] = {"指挥官晋升素材不够","errorcode_2028",},
["errorcode_2029"] = {"指挥官晋升没有达到对应等级","errorcode_2029",},
["errorcode_2030"] = {"指挥官觉醒达到最高等级","Max promotion level has been reached",},
["errorcode_2031"] = {"指挥官觉醒没有素材","Not enough medals",},
["errorcode_2032"] = {"道具不足","Not enough items",},
["errorcode_2033"] = {"指挥官不存在","Commander does not exist",},
["errorcode_2034"] = {"指挥官已拥有","You have owned this commander",},
["errorcode_2035"] = {"装备仓库已满，无法获取装备","Equipment cannot be collected: not enough space",},
["errorcode_2036"] = {"指挥官当前状态无法使用修理包","errorcode_2036",},
["errorcode_2037"] = {"装备不存在","Equipment does not exist",},
["errorcode_2038"] = {"资源不足","Not enough resources",},
["errorcode_2039"] = {"该道具无法分解","errorcode_2039",},
["errorcode_2040"] = {"钻石不足","Not enough Diamonds",},
["errorcode_2041"] = {"齿轮不足","Not enough Gears",},
["errorcode_2042"] = {"行动力已满","AP is full",},
["errorcode_2250"] = {"已有其它车体在改造中，无法继续","errorcode_2250",},
["errorcode_2251"] = {"车体改造已满级，无法继续","errorcode_2251",},
["errorcode_2252"] = {"指挥官当前状态无法操作","Operation is denied in current commander status",},
["errorcode_2253"] = {"指挥官已达到数量上限，无法继续获得","Commander cannot be recruited: commander capacity is full",},
["errorcode_2254"] = {"英雄已满星","Max promotion level has been reached",},
["errorcode_2255"] = {"指挥官升级已到上限","Max commander level has been reached",},
["errorcode_3000"] = {"关卡不存在","Stage does not exist",},
["errorcode_3001"] = {"怪物数据异常，请联系客服","Abnormal monster data",},
["errorcode_3002"] = {"这个关卡尚未开启","Stage is locked",},
["errorcode_3003"] = {"您需要选择出战的指挥官","Please select commander to set out",},
["errorcode_3004"] = {"关卡数据异常","Abnormal stage data",},
["errorcode_3005"] = {"目标不是关务","Target is not a monster",},
["errorcode_3006"] = {"没有足够的行动力","Not enough fuel",},
["errorcode_3007"] = {"章节尚未开启","Chapter is locked",},
["errorcode_3008"] = {"指挥官品质不够无法装备","Equipment cannot be equipped: not enough commander quality",},
["errorcode_3009"] = {"怪物数据异常，请联系客服","Abnormal monster data",},
["errorcode_3010"] = {"BOOST档位配置异常","errorcode_3010",},
["errorcode_3011"] = {"BOOST ID不存在","errorcode_3011",},
["errorcode_3012"] = {"没有足够的资源","Not enough resources",},
["errorcode_3013"] = {"对话NPC类型不匹配","NPC's type does not match",},
["errorcode_3014"] = {"对话NPC守卫没有杀死","NPC's guard is still alive",},
["errorcode_3015"] = {"章节不存在","Chapter does not exist",},
["errorcode_3016"] = {"出战指挥官重复","Repeated commander selected",},
["errorcode_3017"] = {"没有选择出战指挥官","No commander is selected",},
["errorcode_3018"] = {"出战指挥官超过上限","Commander capacity is full",},
["errorcode_3019"] = {"该指挥官不能出战","Current commander cannot be sent to battle",},
["errorcode_3020"] = {"布阵槽位错误","errorcode_3020",},
["errorcode_3021"] = {"布阵指挥官重复","errorcode_3021",},
["errorcode_3022"] = {"布阵指挥官没找到","errorcode_3022",},
["errorcode_3023"] = {"当前EMP未激活或当前无法强化EMP","errorcode_3023",},
["errorcode_3024"] = {"关卡已通过无法使用","Stage has already been cleared",},
["errorcode_3025"] = {"已升级到最大等级","Max level has been reached",},
["errorcode_3026"] = {"模块不存在","errorcode_3026",},
["errorcode_3027"] = {"战斗结束指挥官数量错误","Incorrect commander number",},
["errorcode_3028"] = {"战斗结束指挥官id错误","Incorrect commander ID",},
["errorcode_3029"] = {"条件不满足，无法通关关卡","Requirement is not reached, stage cannot be cleared",},
["errorcode_3030"] = {"请先重置正在进行中关卡","Please reset current stage",},
["errorcode_3031"] = {"指挥官配置未找到","Failed to find commander data",},
["errorcode_3032"] = {"指挥官已出战，无法继续添加","Commander has been selected",},
["errorcode_3033"] = {"指挥官未找到，无法删除","Commander cannot be deleted: not exist",},
["errorcode_3034"] = {"指挥官未找到，无法删除","Commander cannot be deleted: not exist",},
["errorcode_3035"] = {"关卡任务不存在","Stage task does not exist",},
["errorcode_3036"] = {"关卡任务不存在","Stage task does not exist",},
["errorcode_3037"] = {"通关关卡失败","Failed to clear the stage",},
["errorcode_3038"] = {"关卡状态错误","Stage status error",},
["errorcode_3039"] = {"当前关卡状态不能攻打","Stage cannot be initialized",},
["errorcode_3040"] = {"章节未解锁","Chapter is not locked",},
["errorcode_3041"] = {"章节未通关","Chapter is not cleared",},
["errorcode_3042"] = {"前置关卡未通过无法解锁","Unlock failed: required stage is not cleared",},
["errorcode_3043"] = {"解锁关卡失败","Unlock stage failed",},
["errorcode_3044"] = {"资源船解锁地块失败","Unlock Resource Vessel failed",},
["errorcode_4000"] = {"无法领取当前奖励","Reward cannot be collected",},
["errorcode_4001"] = {"任务奖励类型错误","Incorrect task reward type",},
["errorcode_4002"] = {"任务不存在","Task does not exist",},
["errorcode_4003"] = {"任务奖励已领取","Task reward has been collected",},
["errorcode_4004"] = {"您没有足够的活跃值","Not enough active points",},
["errorcode_4005"] = {"任务未完成","Task is not completed",},
["errorcode_5000"] = {"没有个人据点","No personal stronghold",},
["errorcode_5001"] = {"资源点不存在","Resource point does not exist",},
["errorcode_5002"] = {"怪物点不存在","Monster point does not exist",},
["errorcode_5003"] = {"创建行军路线失败 ","Failed to create marching route",},
["errorcode_5004"] = {"到目标点已经有行军路线","Marching route to the target has existed",},
["errorcode_5005"] = {"不是自己的资源点","Not your resource point",},
["errorcode_5006"] = {"行军路线不存在","Marching route does not exist",},
["errorcode_5007"] = {"车队已在返回途中","Fleet is on the way back to base",},
["errorcode_5008"] = {"没有回家道具","Not enough teleport item",},
["errorcode_5009"] = {"目标玩家没有据点","Target player has no stronghold",},
["errorcode_5010"] = {"坐标收藏到上限","POS collection is full",},
["errorcode_5011"] = {"坐标重复添加","You have a repeated POS",},
["errorcode_5012"] = {"坐标收藏点不存在","Target POS does not exist",},
["errorcode_5013"] = {"不是自己的行军路线","Not your marching route",},
["errorcode_5014"] = {"没有行军加速道具","Not enough acceleration item",},
["errorcode_5015"] = {"没有联盟基地","Guild base does not exist",},
["errorcode_5016"] = {"目标不存在","Target does not exist",},
["errorcode_5017"] = {"配置文件不存在","Config file does not exist",},
["errorcode_5018"] = {"建筑类型错误","Incorrect construction type",},
["errorcode_5019"] = {"该点无法建造","Construction cannot be built at this point",},
["errorcode_5020"] = {"该区域不能建造","Construction cannot be built in this area",},
["errorcode_5021"] = {"建造失败","Building failed",},
["errorcode_5022"] = {"没有联盟基地","Guild base does not exist",},
["errorcode_5023"] = {"公共基地不存在","Guild base does not exist",},
["errorcode_5024"] = {"场景目标不存在","Map target does not exist",},
["errorcode_5025"] = {"已有公共基地","Guild base already exists",},
["errorcode_5026"] = {"尚未在该区域建造工厂","errorcode_5026",},
["errorcode_5027"] = {"目标位置非法","Illegal target location",},
["errorcode_5028"] = {"没有采集车","errorcode_5028",},
["errorcode_5029"] = {"当前采集车正在采集中","errorcode_5029",},
["errorcode_5030"] = {"单次建造只允许派遣一支队伍","errorcode_5030",},
["errorcode_5031"] = {"运输资源列表为空","errorcode_5031",},
["errorcode_5032"] = {"运输资源不匹配","errorcode_5032",},
["errorcode_5033"] = {"该队伍无法运输资源","errorcode_5033",},
["errorcode_5034"] = {"没有出发点建筑","errorcode_5034",},
["errorcode_5035"] = {"队伍状态不对","errorcode_5035",},
["errorcode_5036"] = {"出发点和目标点不能为同一点","errorcode_5036",},
["errorcode_5037"] = {"不是自己的建筑","errorcode_5037",},
["errorcode_5038"] = {"无法攻打自己的建筑","errorcode_5038",},
["errorcode_5039"] = {"建筑升级中","errorcode_5039",},
["errorcode_5040"] = {"建筑已达最高等级","errorcode_5040",},
["errorcode_5041"] = {"矿点采集队列已达上限","errorcode_5041",},
["errorcode_5042"] = {"建筑名称过长","errorcode_5042",},
["errorcode_5043"] = {"建筑修复中","errorcode_5043",},
["errorcode_5044"] = {"建筑耐久已满，无法修复","errorcode_5044",},
["errorcode_5045"] = {"非个人建筑","errorcode_5045",},
["errorcode_5046"] = {"不是盟友","errorcode_5046",},
["errorcode_5047"] = {"指挥官状态不正确","errorcode_5047",},
["errorcode_5048"] = {"建筑在建造中","Constructing",},
["errorcode_5049"] = {"预备队伍指挥官已满","errorcode_5049",},
["errorcode_5050"] = {"预备队伍没有指挥官","errorcode_5050",},
["errorcode_5151"] = {"无法攻击目标点","Target cannot be attacked",},
["errorcode_5152"] = {"集结发起失败","Failed to launch the rally",},
["errorcode_5153"] = {"不在联盟基地","Not in the guild base",},
["errorcode_5154"] = {"无法操作，集结已出发或者已经解散","The rally has been dismissed or set out",},
["errorcode_5155"] = {"集结没有队伍","No troop is in the rally",},
["errorcode_5156"] = {"您不是集结的发起者","You must be the launcher of the rally",},
["errorcode_5157"] = {"集结已经出发","Rally has already been set out",},
["errorcode_5158"] = {"不能移除自己的队伍","You cannot remove your troop",},
["errorcode_5159"] = {"不是驻守队伍","This is not the garrison",},
["errorcode_5160"] = {"队伍不存在","Troop does not exist",},
["errorcode_5161"] = {"队伍在战斗中","Troop is in combat",},
["errorcode_5162"] = {"怪物不能攻打","Target cannot be attacked",},
["errorcode_5163"] = {"正在集结中","Troop is in the rally",},
["errorcode_5164"] = {"同一矿区只能建造一座工厂","errorcode_5164",},
["errorcode_5165"] = {"出发点非法","Ilgeal starting point",},
["errorcode_5166"] = {"目标点非法","Ilgeal target point",},
["errorcode_5167"] = {"请选择运输物资","errorcode_5167",},
["errorcode_5168"] = {"没有足够修理包","errorcode_5168",},
["errorcode_5169"] = {"修理包已满","errorcode_5169",},
["errorcode_5170"] = {"没有预备指挥官","errorcode_5170",},
["errorcode_5171"] = {"建筑目标非法","errorcode_5171",},
["errorcode_5172"] = {"目标指挥官不存在","errorcode_5172",},
["errorcode_5173"] = {"队列已满","Queue is full",},
["errorcode_5174"] = {"建筑无法拆除","Construction cannot be demolished",},
["errorcode_5175"] = {"该建筑数量已达上限","Construction has reached the limit",},
["errorcode_5176"] = {"该建筑支援队伍已达上限","errorcode_5176",},
["errorcode_5177"] = {"行军速度为0","Marching speed is 0",},
["errorcode_5178"] = {"目标钛矿不存在","Target mine does not exist",},
["errorcode_5179"] = {"加速道具不匹配","Acceleration item does not match",},
["errorcode_5180"] = {"攻击友方钛矿","Target mine belongs to a friend",},
["errorcode_5181"] = {"掠夺非钛矿类型建筑","Target construction cannot be attacked",},
["errorcode_5182"] = {"没有队伍采集钛矿无法掠夺","errorcode_5182",},
["errorcode_5183"] = {"队伍超出上限","Troop capacity has been exceeded",},
["errorcode_5184"] = {"密码长度不对","Wrong password length",},
["errorcode_5185"] = {"您没有权限","You have no authorization",},
["errorcode_5186"] = {"该目标只能单人集结","Target can only be attacked by one-player rally",},
["errorcode_5187"] = {"该目标需要多人集结","Target can only be attacked by multi-player rally",},
["errorcode_5188"] = {"该目标不能集结攻打","Target cannot be attacked by rally",},
["errorcode_5189"] = {"怪物攻击次数不足","Not enough attacking times",},
["errorcode_5190"] = {"该建筑无法改名","Target construction cannot be renamed",},
["errorcode_5191"] = {"行动力不足","Not enough AP",},
["errorcode_5192"] = {"无法进行跃迁","Teleport is denied",},
["errorcode_5193"] = {"找不到随机位置","Failed to find a randowm location",},
["errorcode_5194"] = {"集结不能提前出发","Rally cannot be set out in advance",},
["errorcode_5195"] = {"集结队列已满","Rally troop capacity is full",},
["errorcode_5196"] = {"集结个人队列上限已满","You cannot send more troops to the rally",},
["errorcode_5197"] = {"集结士兵超出限制","Rally soldier capacity has been exceeded",},
["errorcode_5198"] = {"无法侦查","Target cannot be scouted",},
["errorcode_5199"] = {"出战士兵超出编队限制","Troop soldier capacity has been exceeded",},
["errorcode_5200"] = {"不能在其他工会的领地内建造工会建筑","Guild building cannot be constructed in other guild's territory",},
["errorcode_5201"] = {"联盟建筑已经完成","Guild building is completed",},
["errorcode_5202"] = {"不是联盟建筑","This is not a guild building",},
["errorcode_5203"] = {"建筑不存在","Guild building does not exist",},
["errorcode_5204"] = {"怪物未解锁，无法攻击","Attack failed: enemy is not unlocked",},
["errorcode_5205"] = {"创建工会建筑失败","Guild building constructing failed",},
["errorcode_5206"] = {"目标已消失","Target is lost",},
["errorcode_6000"] = {"个人基地不存在","Base does not exist",},
["errorcode_6001"] = {"建筑正在升级中","Construction is in upgrading",},
["errorcode_6002"] = {"建筑已达到最高等级","Max construction level has been reached",},
["errorcode_6003"] = {"指挥中心等级过低","Not enough Command Center Level",},
["errorcode_6004"] = {"玩家等级过低","Not enough Captain Level",},
["errorcode_6005"] = {"没有足够的资源来升级建筑","Not enough resources to upgrade the construction",},
["errorcode_6006"] = {"没有空余格子空间","Not enough slot",},
["errorcode_6007"] = {"创建基地建筑失败","Failed to build the construction",},
["errorcode_6008"] = {"建筑不存在","Construction does not exist",},
["errorcode_6009"] = {"这个建筑无法移动","Construction cannot be moved",},
["errorcode_6010"] = {"这个建筑无法摧毁","Construction cannot be demolished",},
["errorcode_6011"] = {"这个建筑无法升级","Construction cannot be upgraded",},
["errorcode_6012"] = {"当前建筑不在升级中","Construction not in upgrading",},
["errorcode_6013"] = {"没有足够的加速时间","Not enough acceleration time",},
["errorcode_6014"] = {"您尚未建筑研究所","Reseach Lab has not been built",},
["errorcode_6015"] = {"科技正在升级中","Technology is in upgrading",},
["errorcode_6016"] = {"没有足够的资源升级科技","Not enough resources to upgrade the technology",},
["errorcode_6017"] = {"没有指挥官","Commander is not found",},
["errorcode_6018"] = {"没有训练室建筑","Training House has not been built",},
["errorcode_6019"] = {"训练室没有槽位","Not enough training slot",},
["errorcode_6020"] = {"已有士兵在训练中","Some other soldiers are in training",},
["errorcode_6021"] = {"训练室中没有对应指挥官","errorcode_6021",},
["errorcode_6022"] = {"已经派遣","Commander is already sent",},
["errorcode_6023"] = {"已经达到派遣上限","errorcode_6023",},
["errorcode_6024"] = {"对方已经达到接收上限","errorcode_6024",},
["errorcode_6025"] = {"没有开始项目道具","errorcode_6025",},
["errorcode_6026"] = {"没有战车","errorcode_6026",},
["errorcode_6027"] = {"没有停车场","errorcode_6027",},
["errorcode_6028"] = {"停车场没有位置","errorcode_6028",},
["errorcode_6029"] = {"停车场停车数量已达到上限","errorcode_6029",},
["errorcode_6030"] = {"个人基地已搬迁，无法继续搬迁","errorcode_6030",},
["errorcode_6031"] = {"建筑升级已完成","Construction upgrade completed",},
["errorcode_6032"] = {"您已经请求过帮助了","Help requirement has been sent",},
["errorcode_6033"] = {"建筑升级已帮助","Construction help has been sent",},
["errorcode_6034"] = {"建筑升级帮助已达上限","Construction help has reached the limit",},
["errorcode_6035"] = {"科技升级已经完成","Technology upgrade completed",},
["errorcode_6036"] = {"科技升级帮助已申请","Help requirement has been sent",},
["errorcode_6037"] = {"科技升级已帮助","Technology help has been sent",},
["errorcode_6038"] = {"科技升级帮助已到上限","Technology help has reached the limit",},
["errorcode_6039"] = {"建筑已建造","Construction has been built",},
["errorcode_6040"] = {"您尚未建造修理厂","Garage has not been built",},
["errorcode_6041"] = {"已在修理中","errorcode_6041",},
["errorcode_6042"] = {"没有可领取的修理包","errorcode_6042",},
["errorcode_6043"] = {"此坦克不在修理中","errorcode_6043",},
["errorcode_6044"] = {"道具不能加速","Acceleration is denied",},
["errorcode_6055"] = {"不在制造中,无法加速","Acceleration is denied: Not in manufacturing process",},
["errorcode_6056"] = {"在制造中，无法继续制造","Manufacture is denied: Equipment in manufacture process",},
["errorcode_6057"] = {"不在空闲状态，无法继续生产","Manufacture is denied: Not in free status",},
["errorcode_6058"] = {"需要指挥中心Lv.5","Require Command Center Lv.5 to unlock",},
["errorcode_6059"] = {"同时只能研究一项科技","Only one technology can be reseached at same time",},
["errorcode_6060"] = {"前置条件未满足","Requirement not reached",},
["errorcode_6061"] = {"研究所等级未达到","Required Lab Level not reached",},
["errorcode_6062"] = {"目标战车没有在修理中","errorcode_6062",},
["errorcode_6063"] = {"监狱建筑尚未建造","Prison has not been built",},
["errorcode_6064"] = {"目标囚犯不能被招募","errorcode_6064",},
["errorcode_6065"] = {"招募失败","errorcode_6065",},
["errorcode_6066"] = {"目标囚犯不存在","errorcode_6066",},
["errorcode_6067"] = {"目标囚犯来历不明","errorcode_6067",},
["errorcode_6068"] = {"目标囚犯不能被流放","errorcode_6068",},
["errorcode_6069"] = {"您的流放判决书不足，无法进行流放","errorcode_6069",},
["errorcode_6070"] = {"您的赦免令不足，无法进行招募","errorcode_6070",},
["errorcode_6071"] = {"需要战斗后才能招降","errorcode_6071",},
["errorcode_6072"] = {"流放次数不足","errorcode_6072",},
["errorcode_6073"] = {"目前没有需要修理的战车","errorcode_6073",},
["errorcode_6074"] = {"当前科技已经升至最高级","Max technology level has been reached",},
["errorcode_6075"] = {"超出可制造上限","Manufacture limit has been reached",},
["errorcode_6076"] = {"兵工厂未建造","Arsenal has not been built",},
["errorcode_6077"] = {"不在生产中，无法加速","Acceleration is denied: Not in manufacturing process",},
["errorcode_6078"] = {"图纸不存在","Blueprint does not exist",},
["errorcode_6079"] = {"PB_EQUIP_IS_GOT","errorcode_6079",},
["errorcode_6080"] = {"此处已建造了其他建筑","Construction has been built in this location",},
["errorcode_6081"] = {"士兵配置错误","Wrong Soldier settings",},
["errorcode_6082"] = {"尚未解锁这个士兵，请研究相应的科技","This soldier is locked. Research corresponding technology first",},
["errorcode_6083"] = {"训练士兵数量超出限制","Training capacity has been exceeded",},
["errorcode_6084"] = {"您已经拥有了这个皮肤","You have owned this skin",},
["errorcode_6085"] = {"您尚未拥有这个皮肤","You haven't owned this skin yet",},
["errorcode_6086"] = {"更高级的同类效果已经生效","Higher effect of this type has been activated",},
["errorcode_6087"] = {"建筑类型错误","Wrong construction type",},
["errorcode_6088"] = {"士兵数量不足","Not enough soldiers",},
["errorcode_6089"] = {"校场不存在","Drill Ground does not exist",},
["errorcode_6090"] = {"修理核心还在冷却中","Core repairing utility is on cooldown",},
["errorcode_6091"] = {"核心血量已满，目前不需要修理","Core repairing is not needed: Core HP is full",},
["errorcode_6092"] = {"城墙未着火","Denfece system is not on fire",},
["errorcode_6093"] = {"布置的驻防英雄超出限制","Commander capacity of garrison is exceeded",},
["errorcode_6094"] = {"资源已满无法领取","Resource cannot be collected: Resource capacity is full",},
["errorcode_6095"] = {"天赋点不足","Not enough talent point",},
["errorcode_6096"] = {"天赋已满级","Max talent level has been reached",},
["errorcode_6097"] = {"前置天赋未满足","Required talent not reached",},
["errorcode_6098"] = {"找不到天赋配置","Talent settings does not exist",},
["errorcode_6099"] = {"不在训练船员(不在造量子装备)","Crew training not in progress",},
["errorcode_6100"] = {"训练船员还未完成(量子装备还没有完成)","Crew training not finished",},
["errorcode_6101"] = {"领主等级不够无法穿戴","Equip failed: not enough captain level",},
["errorcode_6102"] = {"酒馆未建造，无法抽卡","You cannot buy the drink: Tavern is not built",},
["errorcode_6103"] = {"城墙正在着火无法修复","Defence System cannot be repaired: on fire",},
["errorcode_6104"] = {"当前无法领取","Resources cannot be collected now",},
["errorcode_6105"] = {"陷阱正在制造中","Some other towers are being built",},
["errorcode_6106"] = {"找不到陷阱配置","Wrong Tower settings",},
["errorcode_6107"] = {"陷阱还未解锁","This tower is locked. Research corresponding technology first",},
["errorcode_7000"] = {"商店类型不存在","Shop type does not exist",},
["errorcode_7001"] = {"商品不存在","Merchandise does not exist",},
["errorcode_7002"] = {"商品未解锁","Merchandise is locked",},
["errorcode_7003"] = {"购买商品货币不足","Not enough currency",},
["errorcode_7004"] = {"该商品已购买","Merchandise has been sold",},
["errorcode_7005"] = {"当天刷新次数已用完","Refresh times are used up",},
["errorcode_7006"] = {"背包已满或物品超出上限无法购买","Inventory is full or stack limit is reached",},
["errorcode_8000"] = {"您已加入联盟，无法继续创建","You cannot create a guild when you are in a guild",},
["errorcode_8001"] = {"名称太长","Guild name is too long",},
["errorcode_8002"] = {"该联盟名称已被占用","Guild name is occpied",},
["errorcode_8003"] = {"联盟名称中含有屏蔽字","Guild name is forbidden",},
["errorcode_8004"] = {"联盟名称缩写已被占用","Guild tag is occupied",},
["errorcode_8005"] = {"创建联盟资源不足","Not enough resources to create a guild",},
["errorcode_8006"] = {"已有联盟，无法再申请","You cannot apply a guild when you are in a guild",},
["errorcode_8007"] = {"联盟不存在","Guild does not exist",},
["errorcode_8008"] = {"条件不满足，无法加入","You do not reach the requirement to join the guild",},
["errorcode_8009"] = {"联盟人数已满","Guild's population is full",},
["errorcode_8010"] = {"已经申请加入，无法再申请","You cannot apply the same guild when you have applied it",},
["errorcode_8011"] = {"联盟申请已达到上限","You have applied too much guild",},
["errorcode_8012"] = {"申请不存在，无法撤销","You cannot withdraw the application since it does not exist",},
["errorcode_8013"] = {"玩家没有联盟","You have no guild",},
["errorcode_8014"] = {"玩家没有权限操作","No operating authorization",},
["errorcode_8015"] = {"玩家申请不存在","Application does not exist",},
["errorcode_8016"] = {"玩家不存在","Player does not exist",},
["errorcode_8017"] = {"玩家已有联盟","Player is already in a guild",},
["errorcode_8018"] = {"无法晋升自己","You cannot promote yourself",},
["errorcode_8019"] = {"不同一联盟，无法操作","Operation is denied: Players are not in the same guild",},
["errorcode_8020"] = {"已升阶至最高等级，如需转让盟主请在“联盟功能-盟主让位”中进行操作","Max promotion level has been reached",},
["errorcode_8021"] = {"降阶到最低等级，无法继续降阶","Min promotion level has been reached",},
["errorcode_8022"] = {"联盟名称为空","Guild name is empty",},
["errorcode_8023"] = {"修改联盟名称道具不足","Not enough item to edit guild name",},
["errorcode_8024"] = {"修改缩写道具不足","Not enough item to edit guild tag",},
["errorcode_8025"] = {"联盟名称缩写长度错误","Guild tag length is not correct",},
["errorcode_8026"] = {"联盟还有其他玩家，无法解散","Guild cannot be dismissed: All guild members should be dismissed first",},
["errorcode_8027"] = {"联盟大礼物经验不够，无法领取","Guild Grand Gift cannot be claimed: Not enough EXP",},
["errorcode_8028"] = {"礼物不存在","Gift does not exist",},
["errorcode_8029"] = {"礼物已领取","Gift has been claimed",},
["errorcode_8030"] = {"已帮助加速","Help has been sent",},
["errorcode_8031"] = {"建筑不在升级中","Construction is in upgrading",},
["errorcode_8032"] = {"联盟科技前置科技等级不足","Required guild technology is not researched",},
["errorcode_8033"] = {"联盟科技不存在","Guild technology dose not exist",},
["errorcode_8034"] = {"玩家捐献次数达到最大","Player donation times has reached the limit",},
["errorcode_8035"] = {"玩家捐献所需材料不足","Not enough materials for the donation",},
["errorcode_8036"] = {"没有此配置(协议下发达数据异常)","Setting does not exist: abnormal data",},
["errorcode_8037"] = {"礼物已过期","Gift has expired",},
["errorcode_8038"] = {"工会建筑建造条件不足","Not reached guild building requirement",},
["errorcode_8039"] = {"工会建筑建造服务器非法","Illegal guild building server",},
["errorcode_8040"] = {"工会建筑已建造","Guild building has already been built",},
["errorcode_8041"] = {"帮助不存在","Help does not exist",},
["errorcode_8042"] = {"不能帮助自己","You cannot help yourself",},
["errorcode_8043"] = {"推荐科技数量已满","Recommended Tech is full",},
["errorcode_8044"] = {"已经是推荐科技了","Technology has been recommended",},
["errorcode_8045"] = {"不是推荐科技","Technology is not recommended",},
["errorcode_8046"] = {"工会等级过高无法解散","Guild cannot be dismissed: Guild Level is higher than 5",},
["errorcode_8891"] = {"无法转让联盟盟主","Guild leader cannot be transfered",},
["errorcode_9000"] = {"预设编队已满","Preset formation is full",},
["errorcode_9001"] = {"预设编队不存在","Preset formation does not exist",},
["errorcode_9002"] = {"编队错误","Formation error",},
["errorcode_9003"] = {"阵形未拥有","You do not have this formation",},
["errorcode_9004"] = {"指挥官已出战","Commander is in battle",},
["errorcode_9005"] = {"指挥官耐久不足","Commander is injured",},
["errorcode_9006"] = {"队伍不存在","Team does not exist",},
["errorcode_10000"] = {"章节成就不存在","Chapter achievement does not exist",},
["errorcode_10001"] = {"章节成就未完成","Chapter achievement is not completed",},
["errorcode_10002"] = {"章节成就奖励已经领取","Reward has been collected",},
["errorcode_10003"] = {"所有的章节任务都完成","All chapter achievements completed",},
["errorcode_10004"] = {"章节成就未解锁","Chapter achievement is locked",},
["errorcode_10005"] = {"章节任务还没有全部完成","Chapter quests are not finished",},
["errorcode_10006"] = {"章节数据异常，建议重新启动游戏","Ablnormal chapter data. Please restart the game.",},
}
local configTypeMap = {["lang_33_langs"] = 2,}
local tm = {
["lang_33_langs"] = {"id", "zh", "en", },
}
ZZXY_RebuildConfig(configTypeMap,tm)