gConfig.stages = {

    -- 船战
    [-1] = {
        scene = 'desert_ship_battle',   -- 关卡名称
        offset = 0,  
        
		speedT0 = 15,
        speedT1 = 1,
        
        -- 占领阶段，双方的入场距离 
		vectorT0 = {30,0,0},
		vectorT1 = {-100,0,0},
    
        -- 士兵随机移动
        randomMove = {
            moveTime = {1.0,1.5},     -- 移动的持续时间
            stopTime = {0.0, 7.5},    -- 停止的持续时间
            speed = {2.0, 2.8},       -- 移动速度
        },

        -- 士兵固定趋势移动
        fixedMoveT0 = {1, 0, 0},
        fixedMoveT1 = {-1, 0, 0},

        -- 两队战车的初始位置
        T0 =                    ----我方战车编组
        {
            [1] = {pos = {{-70, 40}, {-70, 70}, {-70, 10}, {-70, 100}, {-70, -20}}, yaw = 90},  --位置是中、左一、右一、左二、右二的排布
            [2] = {pos = {{-90, 100}, {-90, 70},  {-90, 40},  {-90, 10},  {-90, -20}}, yaw = 90},
            [3] = {pos = {{-110, 100}, {-110, 70},  {-110, 40},  {-110, 10},  {-110, -20}}, yaw = 90},
        },
	
        T1 =                    ----对方战车编组
        {
            [1] = {pos = {{70, 100}, {70, 70}, {70, 40}, {70, 10}, {70, -20}}, yaw = -90},  --与我方位置相对、位置是中、右一、左一、右二、左二的排布
            [2] = {pos = {{90, 100}, {90, 70}, {90, 40}, {90, 10}, {90, -20}}, yaw = -90},
            [3] = {pos = {{110, 100}, {110, 70}, {110, 40}, {110, 10}, {110, -20}}, yaw = -90},
        },
		
        -- 士兵配置
        S0 = 
        {
            -- 按行排列士兵
           [1] = {pos = {{-80, 40}, {-80, 70}, {-80, 10}, {-80, 100}, {-80, -20}}, yaw = 90},
           [2] = {pos = {{-100, 100}, {-100, 70},  {-100, 40},  {-100, 10},  {-100, -20}}, yaw = 90},
           [3] = {pos = {{-120, 100}, {-120, 70},  {-120, 40},  {-120, 10},  {-120, -20}}, yaw = 90,},
           [4] = {pos = {{-140, 100}, {-140, 70},  {-140, 40},  {-140, 10}, {-140, -20}}, yaw = 90}
        },

        S1 =
        {
            [1] = {pos = {{80, 100}, {80, 70}, {80, 40}, {80, 10}, {80, -20}}, yaw = -90},
            [2] = {pos = {{100, 100}, {100, 70}, {100, 40}, {100, 10}, {100, -20}}, yaw = -90},
            [3] = {pos = {{120, 100}, {120, 70}, {120, 40}, {120, 10}, {120, -20}}, yaw = -90,},
            [4] = {pos = {{140, 100}, {140, 70}, {140, 40}, {140, 10}, {140, -20}}, yaw = -90}
        },

        -- 炮塔配置
        C0 = 
        {
        },

        C1 = 
        {
            [1] = {pos = {"cannon01", "cannon02", "cannon03", "cannon04", "cannon05", "cannon06"}, yaw = -90},
            [2] = {pos = {"cannon07", "cannon08", "cannon09", "cannon10", "cannon11", "cannon12"}, yaw = -90},
            [3] = {pos = {"cannon13", "cannon14", "cannon15", "cannon16", "cannon17", "cannon18"}, yaw = -90,},
        },

        -- 每组士兵内部的偏移
        soldier_offset_tab = {
            {['posX'] = 0, ['posY'] = 5},
            {['posX'] = -5, ['posY'] = 0},
            {['posX'] = 5, ['posY'] = 0},
            {['posX'] = -5, ['posY'] = -5}, 
            {['posX'] = 5, ['posY'] = -5},
        },

        offset_random = 1,
    },

    -- 遭遇战
    [0] = {
        scene = 'desert_1',   -- 关卡名称
        offset = 0,  
        
		speedT0 = 15,
		speedT1 = 15,
        -- 入场
		vectorT0 = {40,0,0},
		vectorT1 = {-40,0,0},
    
        -- 士兵随机移动
        randomMove = {
            moveTime = {1.0,1.5},     -- 间隔多久移动一次
            stopTime = {0.0, 7.5},
            speed = {2.0, 2.8},
        },

        -- 士兵固定趋势移动
        fixedMoveT0 = {0.8, 0, 0},
        fixedMoveT1 = {-0.8, 0, 0},

        -- 两队战车的初始位置
        T0 =                    ----我方战车编组
        {
            [1] = {pos = {{-70, 40}, {-70, 70}, {-70, 10}, {-70, 100}, {-70, -20}}, yaw = 90},  --位置是中、左一、右一、左二、右二的排布
            [2] = {pos = {{-90, 100}, {-90, 70},  {-90, 40},  {-90, 10},  {-90, -20}}, yaw = 90},
            [3] = {pos = {{-110, 100}, {-110, 70},  {-110, 40},  {-110, 10},  {-110, -20}}, yaw = 90},
        },
	
        T1 =                    ----对方战车编组
        {
            [1] = {pos = {{70, 100}, {70, 70}, {70, 40}, {70, 10}, {70, -20}}, yaw = -90},  --与我方位置相对、位置是中、右一、左一、右二、左二的排布
            [2] = {pos = {{90, 100}, {90, 70}, {90, 40}, {90, 10}, {90, -20}}, yaw = -90},
            [3] = {pos = {{110, 100}, {110, 70}, {110, 40}, {110, 10}, {110, -20}}, yaw = -90},
        },
		
        -- 士兵配置
        S0 = 
        {
            -- 按行排列士兵
           [1] = {pos = {{-80, 40}, {-80, 70}, {-80, 10}, {-80, 100}, {-80, -20}}, yaw = 90},
           [2] = {pos = {{-100, 100}, {-100, 70},  {-100, 40},  {-100, 10},  {-100, -20}}, yaw = 90},
           [3] = {pos = {{-120, 100}, {-120, 70},  {-120, 40},  {-120, 10},  {-120, -20}}, yaw = 90,},
           [4] = {pos = {{-140, 100}, {-140, 70},  {-140, 40},  {-140, 10}, {-140, -20}}, yaw = 90}
        },

        S1 =
        {
            [1] = {pos = {{80, 100}, {80, 70}, {80, 40}, {80, 10}, {80, -20}}, yaw = -90},
            [2] = {pos = {{100, 100}, {100, 70}, {100, 40}, {100, 10}, {100, -20}}, yaw = -90},
            [3] = {pos = {{120, 100}, {120, 70}, {120, 40}, {120, 10}, {120, -20}}, yaw = -90,},
            [4] = {pos = {{140, 100}, {140, 70}, {140, 40}, {140, 10}, {140, -20}}, yaw = -90}
        },

        -- 每组士兵内部的偏移
        soldier_offset_tab = {
            {['posX'] = 0, ['posY'] = 5},
            {['posX'] = -5, ['posY'] = 0},
            {['posX'] = 5, ['posY'] = 0},
            {['posX'] = -5, ['posY'] = -5},
            {['posX'] = 5, ['posY'] = -5},
        },

        offset_random = 1,  -- 小兵组阵型内随机偏移
    },

    [1] = {
        scene = 'desert_1',   -- 关卡名称
	    offset = 0,  
		speedT0 = 5,
		speedT1 = 5,
        -- 入场
		vectorT0 = {0,0,0},
		vectorT1 = {0,0,0},
        -- 进军（RTS不用）
        propelT0 = {0,0,0},
        propelT1 = {-0,0,0},
        -- 罗宾（RTS不用）
        robin_T0 = {skill_id = 99901},
        robin_T1 = {skill_id = 99901},
		-- 预设阵型
		formationT0 = 12,  --肉盾型编组
		formationT1 = 12, --火炮型编组
		--formationT0 = 5, --突击型编组
		
		-- 场地坐标
		areaT0 ={-100, -30, 0, 90},
		areaT1 ={0, -30, 100, 90},
		
		-- 入场时间（RTS不用）
        entrance_time = 2,
		
        -- 镜头移动（RTS不用）
        --[[
        camera_animation = 
		{
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 23, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 1},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 15, camera_end_size = 23, time = 0.5},
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 23, camera_end_size = 23, time = 0.1},
        },]]

        -- 两队的初始位置
        T0 =                        ----肉盾车编组
        {
            {pos = {-75,-30}, yaw = 90, tank_cfg_id = 18, officer_cfg_id = 3, slot_pos = 1, monster_stat_id = 2},   
		    -- {pos = {-95,10}, yaw = 90, tank_cfg_id = 32, officer_cfg_id = 3, slot_pos = 2, monster_stat_id = 2}, 
            -- {pos = {-55,50}, yaw = 90, tank_cfg_id = 33, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 3},
            -- {pos = {-95,90}, yaw = 90, tank_cfg_id = 41, officer_cfg_id = 3, slot_pos = 4, monster_stat_id = 4},
			-- {pos = {-75,-27}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
			-- {pos = {-75,12}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 2, slot_pos = 6, monster_stat_id = 4},  			
            -- {pos = {-75,48}, yaw = 90, tank_cfg_id = 33, officer_cfg_id = 3, slot_pos = 7, monster_stat_id = 4},    
            -- {pos = {-75,88}, yaw = 90, tank_cfg_id = 32, officer_cfg_id = 8, slot_pos = 8, monster_stat_id = 4},
            -- {pos = {-95,-35}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 6, slot_pos = 9, monster_stat_id = 4},    
			--{pos = {-95,8}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {-95,52}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            --{pos = {-95,92}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 30, slot_pos = 12, monster_stat_id = 4},
			--{pos = {-115,-28}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 13, slot_pos = 13, monster_stat_id = 4},
			--{pos = {-115,12}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 10, slot_pos = 14, monster_stat_id = 4},
            --{pos = {-115,52}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 13, slot_pos = 15, monster_stat_id = 4},
            --{pos = {-115,88}, yaw = 90, tank_cfg_id = 1002, officer_cfg_id = 16, slot_pos = 16, monster_stat_id = 4},

        },
		
		--[[T0 =                        ----肉盾车编组
        {
            {pos = {55,-30}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 1, slot_pos = 1, monster_stat_id = 4},    
			{pos = {55,10}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 2, slot_pos = 2, monster_stat_id = 4}, 
            {pos = {55,50}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 4},
            {pos = {55,90}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 4, slot_pos = 4, monster_stat_id = 4},
			--{pos = {75,-27}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
			--{pos = {75,12}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 6, slot_pos = 6, monster_stat_id = 4},  			
            --{pos = {75,48}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 7, slot_pos = 7, monster_stat_id = 4},    
            --{pos = {75,88}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 8, slot_pos = 8, monster_stat_id = 4},
            {pos = {95,-35}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 9, slot_pos = 9, monster_stat_id = 4},    
			--{pos = {95,8}, yaw = -90, tank_cfg_id = 10, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {95,52}, yaw = -90, tank_cfg_id = 10, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            {pos = {95,92}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 12, slot_pos = 12, monster_stat_id = 4},
			--{pos = {115,-28}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 13, slot_pos = 13, monster_stat_id = 4},
			{pos = {115,12}, yaw = -90, tank_cfg_id = 11, officer_cfg_id = 14, slot_pos = 14, monster_stat_id = 4},  			
            {pos = {115,52}, yaw = -90, tank_cfg_id = 14, officer_cfg_id = 15, slot_pos = 15, monster_stat_id = 4},    
            --{pos = {115,88}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 16, slot_pos = 16, monster_stat_id = 4},

        },]]
		

        T1 =                    ----火炮车编组
        {
            {pos = {55,-30}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 1, monster_stat_id = 1},    
			{pos = {55,10}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 2, monster_stat_id = 2}, 
            {pos = {55,50}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 3},
            {pos = {55,90}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 4, monster_stat_id = 3},
	    	{pos = {75,-27}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 24, slot_pos = 5, monster_stat_id = 4},
			{pos = {75,12}, yaw = -90, tank_cfg_id =1002, officer_cfg_id = 6, slot_pos = 6, monster_stat_id = 4},  			
            {pos = {75,48}, yaw = -90, tank_cfg_id =1002, officer_cfg_id = 7, slot_pos = 7, monster_stat_id = 4},    
            {pos = {75,88}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 24, slot_pos = 8, monster_stat_id = 4},
            -- {pos = {95,-35}, yaw = -90, tank_cfg_id = 17, officer_cfg_id = 6, slot_pos = 9, monster_stat_id = 4},   
			-- {pos = {95,8}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            -- {pos = {95,52}, yaw = -90, tank_cfg_id = 17, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            -- {pos = {95,92}, yaw = -90, tank_cfg_id = 17, officer_cfg_id = 6, slot_pos = 12, monster_stat_id = 4},
			-- {pos = {115,-28}, yaw = -90, tank_cfg_id = 17, officer_cfg_id = 14, slot_pos = 13, monster_stat_id = 4},
			-- {pos = {115,12}, yaw = -90, tank_cfg_id = 17, officer_cfg_id = 8, slot_pos = 14, monster_stat_id = 4},  			
            -- {pos = {115,52}, yaw = -90, tank_cfg_id = 17, officer_cfg_id = 8, slot_pos = 15, monster_stat_id = 4}, 
            -- {pos = {115,88}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 14, slot_pos = 16, monster_stat_id = 4},
        },
		
		
		--[[T1 =                        ----突击车编组
        {
            --{pos = {-55,-30}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 1, slot_pos = 1, monster_stat_id = 4},    
			{pos = {-55,10}, yaw = 90, tank_cfg_id = 24, officer_cfg_id = 2, slot_pos = 2, monster_stat_id = 4}, 
            {pos = {-55,50}, yaw = 90, tank_cfg_id = 24, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 4},
            --{pos = {-55,90}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 4, slot_pos = 4, monster_stat_id = 4},
			--{pos = {-75,-30}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
			--{pos = {-75,10}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 6, slot_pos = 6, monster_stat_id = 4},  			
            --{pos = {-75,50}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 7, slot_pos = 7, monster_stat_id = 4},    
            --{pos = {-75,90}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 8, slot_pos = 8, monster_stat_id = 4},
            {pos = {-95,-30}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 9, slot_pos = 9, monster_stat_id = 4},    
			--{pos = {-95,10}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {-95,50}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            {pos = {-95,90}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 12, slot_pos = 12, monster_stat_id = 4},
			{pos = {-115,-30}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 13, slot_pos = 13, monster_stat_id = 4},
			{pos = {-115,10}, yaw = 90, tank_cfg_id = 11, officer_cfg_id = 14, slot_pos = 14, monster_stat_id = 4},  			
            {pos = {-115,50}, yaw = 90, tank_cfg_id = 14, officer_cfg_id = 15, slot_pos = 15, monster_stat_id = 4},     
            {pos = {-115,90}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 16, slot_pos = 16, monster_stat_id = 4},
        },]]

        -- 士兵配置，每组士兵对应一辆战车
        S0 = 
        {
           -- [1] = {{}, {}, {}, {}, {}}

            
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
        },

        S1 =
        {
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
            -- {tank_cfg_id = 20001, num = 16},
        },

    },

    [2] = {
        scene = 'desert',
    },

    [9999] = {  --9999号是监狱场景，绝对不要改动
        scene = 'desert_1',   -- 关卡名称
	    offset = 0,  
		speedT0 = 5,
		speedT1 = 5,
        -- 入场
		vectorT0 = {0,0,0},
		vectorT1 = {0,0,0},
        -- 进军（RTS不用）
        propelT0 = {0,0,0},
        propelT1 = {-0,0,0},
        -- 罗宾（RTS不用）
        robin_T0 = {skill_id = 99901},
        robin_T1 = {skill_id = 99901},
		-- 预设阵型
		formationT0 = 1,  --肉盾型编组
		formationT1 = 12, --火炮型编组
		--formationT0 = 5, --突击型编组
		
		-- 场地坐标
		areaT0 ={-100, -30, 0, 90},
		areaT1 ={0, -30, 100, 90},
		
		-- 入场时间（RTS不用）
        entrance_time = 2,
		
        -- 镜头移动（RTS不用）
        camera_animation = 
		{
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 23, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 1},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 15, camera_end_size = 23, time = 0.5},
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 23, camera_end_size = 23, time = 0.1},
        },
		--[[
		camera_animation = 
        {
            { start_pos = {-206, 409, -483}, end_pos = {-230, 409, -483}, camera_start_size = 11, camera_end_size = 5, time = 0.5},
            { start_pos = {-230, 409, -483}, end_pos = {-230, 409, -483}, camera_start_size = 5, camera_end_size = 5, time = 0.5},
            { start_pos = {-230, 409, -483}, end_pos = {-160, 409, -483}, camera_start_size = 5, camera_end_size = 5, time = 1},
            { start_pos = {-160, 409, -483}, end_pos = {-160, 409, -483}, camera_start_size = 5, camera_end_size = 5, time = 0.5},
            { start_pos = {-160, 409, -483}, end_pos = {-206, 409, -483}, camera_start_size = 5, camera_end_size = 7, time = 0.5},
            --{ start_pos = {-206,409,-483}, end_pos = {-206,409,-483}, camera_start_size = 7, camera_end_size = 7, time = 0.5},
        },
		]]
        -- 两队的初始位置
        T0 =                        ----肉盾车编组
        {
            {pos = {-55,-30}, yaw = 90, tank_cfg_id = 41, officer_cfg_id = 3, slot_pos = 1, monster_stat_id = 1},   
		    --{pos = {-55,10}, yaw = 90, tank_cfg_id = 20, officer_cfg_id = 3, slot_pos = 2, monster_stat_id = 2}, 
            --{pos = {-55,50}, yaw = 90, tank_cfg_id = 39, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 3},
           --{pos = {-55,90}, yaw = 90, tank_cfg_id = 24, officer_cfg_id = 3, slot_pos = 4, monster_stat_id = 4},
			--{pos = {-75,-27}, yaw = 90, tank_cfg_id = 30, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
			--{pos = {-75,12}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 2, slot_pos = 6, monster_stat_id = 4},  			
            --{pos = {-75,48}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 3, slot_pos = 7, monster_stat_id = 4},    
            --{pos = {-75,88}, yaw = 90, tank_cfg_id = 3, officer_cfg_id = 8, slot_pos = 8, monster_stat_id = 4},
            --{pos = {-95,-35}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 6, slot_pos = 9, monster_stat_id = 4},    
			--{pos = {-95,8}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {-95,52}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            --{pos = {-95,92}, yaw = 90, tank_cfg_id = 30, officer_cfg_id = 30, slot_pos = 12, monster_stat_id = 4},
			--{pos = {-115,-28}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 13, slot_pos = 13, monster_stat_id = 4},
			--{pos = {-115,12}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 10, slot_pos = 14, monster_stat_id = 4},  			
            --{pos = {-115,52}, yaw = 90, tank_cfg_id = 13, officer_cfg_id = 13, slot_pos = 15, monster_stat_id = 4},    
            --{pos = {-115,88}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 16, slot_pos = 16, monster_stat_id = 4},

        },
		
		--[[T0 =                        ----肉盾车编组
        {
            {pos = {55,-30}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 1, slot_pos = 1, monster_stat_id = 4},    
			{pos = {55,10}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 2, slot_pos = 2, monster_stat_id = 4}, 
            {pos = {55,50}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 4},
            {pos = {55,90}, yaw = -90, tank_cfg_id = 24, officer_cfg_id = 4, slot_pos = 4, monster_stat_id = 4},
			--{pos = {75,-27}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
			--{pos = {75,12}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 6, slot_pos = 6, monster_stat_id = 4},  			
            --{pos = {75,48}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 7, slot_pos = 7, monster_stat_id = 4},    
            --{pos = {75,88}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 8, slot_pos = 8, monster_stat_id = 4},
            {pos = {95,-35}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 9, slot_pos = 9, monster_stat_id = 4},    
			--{pos = {95,8}, yaw = -90, tank_cfg_id = 10, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {95,52}, yaw = -90, tank_cfg_id = 10, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            {pos = {95,92}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 12, slot_pos = 12, monster_stat_id = 4},
			--{pos = {115,-28}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 13, slot_pos = 13, monster_stat_id = 4},
			{pos = {115,12}, yaw = -90, tank_cfg_id = 11, officer_cfg_id = 14, slot_pos = 14, monster_stat_id = 4},  			
            {pos = {115,52}, yaw = -90, tank_cfg_id = 14, officer_cfg_id = 15, slot_pos = 15, monster_stat_id = 4},    
            --{pos = {115,88}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 16, slot_pos = 16, monster_stat_id = 4},

        },]]
		

        T1 =                    ----火炮车编组
        {
            {pos = {55,-30}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 1, monster_stat_id = 1},    
			--{pos = {55,10}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 2, monster_stat_id = 2}, 
           -- {pos = {55,50}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 3},
            --{pos = {55,90}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 3, slot_pos = 4, monster_stat_id = 3},
	    	--{pos = {75,-27}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 24, slot_pos = 5, monster_stat_id = 4},
			--{pos = {75,12}, yaw = -90, tank_cfg_id =1002, officer_cfg_id = 6, slot_pos = 6, monster_stat_id = 4},  			
            --{pos = {75,48}, yaw = -90, tank_cfg_id =1002, officer_cfg_id = 7, slot_pos = 7, monster_stat_id = 4},    
            --{pos = {75,88}, yaw = -90, tank_cfg_id = 1002, officer_cfg_id = 24, slot_pos = 8, monster_stat_id = 4},
            --{pos = {95,-35}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 6, slot_pos = 9, monster_stat_id = 4},   
			--{pos = {95,8}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {95,52}, yaw = -90, tank_cfg_id = 0, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            --{pos = {95,92}, yaw = -90, tank_cfg_id = 6, officer_cfg_id = 6, slot_pos = 12, monster_stat_id = 4},
			--{pos = {115,-28}, yaw = -90, tank_cfg_id = 14, officer_cfg_id = 14, slot_pos = 13, monster_stat_id = 4},
			--{pos = {115,12}, yaw = -90, tank_cfg_id = 8, officer_cfg_id = 8, slot_pos = 14, monster_stat_id = 4},  			
            --{pos = {115,52}, yaw = -90, tank_cfg_id = 8, officer_cfg_id = 8, slot_pos = 15, monster_stat_id = 4}, 
            --{pos = {115,88}, yaw = -90, tank_cfg_id = 14, officer_cfg_id = 14, slot_pos = 16, monster_stat_id = 4},
        },
		
		
		--[[T1 =                        ----突击车编组
        {
            --{pos = {-55,-30}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 1, slot_pos = 1, monster_stat_id = 4},    
			{pos = {-55,10}, yaw = 90, tank_cfg_id = 24, officer_cfg_id = 2, slot_pos = 2, monster_stat_id = 4}, 
            {pos = {-55,50}, yaw = 90, tank_cfg_id = 24, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 4},
            --{pos = {-55,90}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 4, slot_pos = 4, monster_stat_id = 4},
			--{pos = {-75,-30}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
			--{pos = {-75,10}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 6, slot_pos = 6, monster_stat_id = 4},  			
            --{pos = {-75,50}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 7, slot_pos = 7, monster_stat_id = 4},    
            --{pos = {-75,90}, yaw = 90, tank_cfg_id = 0, officer_cfg_id = 8, slot_pos = 8, monster_stat_id = 4},
            {pos = {-95,-30}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 9, slot_pos = 9, monster_stat_id = 4},    
			--{pos = {-95,10}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 10, slot_pos = 10, monster_stat_id = 4}, 
            --{pos = {-95,50}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 11, slot_pos = 11, monster_stat_id = 4},
            {pos = {-95,90}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 12, slot_pos = 12, monster_stat_id = 4},
			{pos = {-115,-30}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 13, slot_pos = 13, monster_stat_id = 4},
			{pos = {-115,10}, yaw = 90, tank_cfg_id = 11, officer_cfg_id = 14, slot_pos = 14, monster_stat_id = 4},  			
            {pos = {-115,50}, yaw = 90, tank_cfg_id = 14, officer_cfg_id = 15, slot_pos = 15, monster_stat_id = 4},     
            {pos = {-115,90}, yaw = 90, tank_cfg_id = 6, officer_cfg_id = 16, slot_pos = 16, monster_stat_id = 4},
        },]]

        -- 士兵配置，每组士兵对应一辆战车
        S0 = 
        {
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},

            -- {tank_cfg_id = 10004, num = 3},
            -- {tank_cfg_id = 10002, num = 3},
            -- {tank_cfg_id = 10005, num = 3},
            -- {tank_cfg_id = 10003, num = 3},
            -- {tank_cfg_id = 10001, num = 3},
            -- {tank_cfg_id = 10003, num = 3},
        },

        S1 =
        {
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},
            --{tank_cfg_id = 10004, num = 3},

            -- {tank_cfg_id = 10004, num = 3},
            -- {tank_cfg_id = 10002, num = 3},
            -- {tank_cfg_id = 10005, num = 3},
            -- {tank_cfg_id = 10003, num = 3},
            -- {tank_cfg_id = 10001, num = 3},
            -- {tank_cfg_id = 10003, num = 3},
        },

    },
}
