gConfig.stages_level = {

    [1] = {
        scene = 'desert_1',   -- 关卡名称
	    offset = 2,  --站位的轻微浮动
		speedT0 = 5,
		speedT1 = 5,
        -- 入场
		vectorT0 = {0,0,0},
		vectorT1 = {0,0,0},
        -- 进军（RTS不用）
        propelT0 = {0,0,0},
        propelT1 = {-0,0,0},
        -- 罗宾（RTS不用）
        robin_T0 = {skill_id = 99901},
        robin_T1 = {skill_id = 99901},
		-- 预设阵型
		formationT0 = 1,  --肉盾型编组
		formationT1 = 12, --火炮型编组
		--formationT0 = 5, --突击型编组
		
		-- 场地坐标
		areaT0 ={-100, -30, 0, 90},
		areaT1 ={0, -30, 100, 90},
		
		-- 入场时间（RTS不用）
        entrance_time = 2,
		
        -- 镜头移动
        camera_animation = 
		{
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 19, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 1},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 15, camera_end_size = 19, time = 0.5},
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 19, camera_end_size = 19, time = 0.1},
        },

        T0 = 
        {
            {pos = {-40,15}, yaw = 90, tank_cfg_id = 27, slot_pos = 1},    -- tank_cfg_id 对应 tank_basic_ids 中的 id 
            {pos = {-40,-0}, yaw = 90, tank_cfg_id = 0, slot_pos = 2},
            {pos = {-40,-15}, yaw = 90, tank_cfg_id = 0, slot_pos = 3},  
            {pos = {-60,15}, yaw = 90, tank_cfg_id = 0, slot_pos = 4},    -- tank_cfg_id 对应 tank_basic_ids 中的 id 
            {pos = {-60,0}, yaw = 90, tank_cfg_id = 0, slot_pos = 5},
            {pos = {-60,-15}, yaw = 90, tank_cfg_id = 0, slot_pos = 6},  

            {pos = {-60,-16}, yaw = 90, tank_cfg_id = 11},
            {pos = {-60,-8}, yaw = 90, tank_cfg_id = 6},
            {pos = {-60,0}, yaw = 90, tank_cfg_id = 1},  
             {pos = {-60,8}, yaw = 90, tank_cfg_id = 10},
             {pos = {-60,16}, yaw = 90, tank_cfg_id = 12},
			{pos = {-20,-80}, yaw = 45, tank_cfg_id = 2},
			{pos = {0,-80}, yaw = 45, tank_cfg_id = 3},
			{pos = {20,-80}, yaw = 45, tank_cfg_id = 4},
        },

        T1 = 
        {
            {pos = {40, -15}, yaw = 270, tank_cfg_id = 1, slot_pos = 3},            
            {pos = {40, 0}, yaw = 270, tank_cfg_id = 0, slot_pos = 2},
            {pos = {40, 15}, yaw = 270, tank_cfg_id = 0, slot_pos = 1},
            {pos = {60, -15}, yaw = 270, tank_cfg_id = 0, slot_pos = 6},            
            {pos = {60, 0}, yaw = 270, tank_cfg_id = 0, slot_pos = 5},
            {pos = {60, 15}, yaw = 270, tank_cfg_id = 0, slot_pos = 4},

            {pos = {60, 16}, yaw = 270, tank_cfg_id = 11},            
            {pos = {60, 8}, yaw = 270, tank_cfg_id = 10},
            {pos = {60, 0}, yaw = 270, tank_cfg_id = 1},
             {pos = {60, -8}, yaw = 270, tank_cfg_id = 11},
             {pos = {60, -16}, yaw = 270, tank_cfg_id = 10},
			{pos = {10, 70}, yaw = 225, tank_cfg_id = 1},
			{pos = {30, 70}, yaw = 225, tank_cfg_id = 2},
			{pos = {50, 70}, yaw = 225, tank_cfg_id = 3},
        },

        -- 士兵配置，每组士兵对应一辆战车
        --[[
        S0 = 
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
        },

        S1 =
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
        },]]

    },

    [2] = {
        scene = 'desert_2',   -- 关卡名称
	    offset = 2,  --站位的轻微浮动
		speedT0 = 5,
		speedT1 = 5,
        -- 入场
		vectorT0 = {0,0,0},
		vectorT1 = {0,0,0},
        -- 进军（RTS不用）
        propelT0 = {0,0,0},
        propelT1 = {-0,0,0},
        -- 罗宾（RTS不用）
        robin_T0 = {skill_id = 99901},
        robin_T1 = {skill_id = 99901},
		-- 预设阵型
		formationT0 = 1,  --肉盾型编组
		formationT1 = 12, --火炮型编组
		--formationT0 = 5, --突击型编组
		
		-- 场地坐标
		areaT0 ={-100, -30, 0, 90},
		areaT1 ={0, -30, 100, 90},
		
		-- 入场时间（RTS不用）
        entrance_time = 2,
		
        -- 镜头移动
        camera_animation = 
		{
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 19, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 1},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 15, camera_end_size = 19, time = 0.5},
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 19, camera_end_size = 19, time = 0.1},
        },

        T0 = 
        {
            {pos = {-40,15}, yaw = 90, tank_cfg_id = 27, slot_pos = 1},    -- tank_cfg_id 对应 tank_basic_ids 中的 id 
            {pos = {-40,-0}, yaw = 90, tank_cfg_id = 0, slot_pos = 2},
            {pos = {-40,-15}, yaw = 90, tank_cfg_id = 0, slot_pos = 3},  
            {pos = {-60,15}, yaw = 90, tank_cfg_id = 0, slot_pos = 4},    -- tank_cfg_id 对应 tank_basic_ids 中的 id 
            {pos = {-60,0}, yaw = 90, tank_cfg_id = 0, slot_pos = 5},
            {pos = {-60,-15}, yaw = 90, tank_cfg_id = 0, slot_pos = 6},  

            {pos = {-60,-16}, yaw = 90, tank_cfg_id = 11},
            {pos = {-60,-8}, yaw = 90, tank_cfg_id = 6},
            {pos = {-60,0}, yaw = 90, tank_cfg_id = 1},  
             {pos = {-60,8}, yaw = 90, tank_cfg_id = 10},
             {pos = {-60,16}, yaw = 90, tank_cfg_id = 12},
			{pos = {-20,-80}, yaw = 45, tank_cfg_id = 2},
			{pos = {0,-80}, yaw = 45, tank_cfg_id = 3},
			{pos = {20,-80}, yaw = 45, tank_cfg_id = 4},

        },

        T1 = 
        {
            {pos = {40, -15}, yaw = 270, tank_cfg_id = 1, slot_pos = 3},            
            {pos = {40, 0}, yaw = 270, tank_cfg_id = 0, slot_pos = 2},
            {pos = {40, 15}, yaw = 270, tank_cfg_id = 0, slot_pos = 1},
            {pos = {60, -15}, yaw = 270, tank_cfg_id = 0, slot_pos = 6},            
            {pos = {60, 0}, yaw = 270, tank_cfg_id = 0, slot_pos = 5},
            {pos = {60, 15}, yaw = 270, tank_cfg_id = 0, slot_pos = 4},

            {pos = {60, 16}, yaw = 270, tank_cfg_id = 11},            
            {pos = {60, 8}, yaw = 270, tank_cfg_id = 10},
            {pos = {60, 0}, yaw = 270, tank_cfg_id = 1},
             {pos = {60, -8}, yaw = 270, tank_cfg_id = 11},
             {pos = {60, -16}, yaw = 270, tank_cfg_id = 10},
			{pos = {10, 70}, yaw = 225, tank_cfg_id = 1},
			{pos = {30, 70}, yaw = 225, tank_cfg_id = 2},
			{pos = {50, 70}, yaw = 225, tank_cfg_id = 3},
        },

        -- 士兵配置，每组士兵对应一辆战车
        --[[
        S0 = 
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
        },

        S1 =
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
        },]]

    },

    [3] = {
        scene = 'desert_3',   -- 关卡名称
	    offset = 2,  --站位的轻微浮动
		speedT0 = 5,
		speedT1 = 5,
        -- 入场
		vectorT0 = {0,0,0},
		vectorT1 = {0,0,0},
        -- 进军（RTS不用）
        propelT0 = {0,0,0},
        propelT1 = {-0,0,0},
        -- 罗宾（RTS不用）
        robin_T0 = {skill_id = 99901},
        robin_T1 = {skill_id = 99901},
		-- 预设阵型
		formationT0 = 1,  --肉盾型编组
		formationT1 = 12, --火炮型编组
		--formationT0 = 5, --突击型编组
		
		-- 场地坐标
		areaT0 ={-100, -30, 0, 90},
		areaT1 ={0, -30, 100, 90},
		
		-- 入场时间（RTS不用）
        entrance_time = 2,
		
        -- 镜头移动
        camera_animation = 
		{
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 19, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 1},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 15, camera_end_size = 19, time = 0.5},
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 19, camera_end_size = 19, time = 0.1},
        },

        -- 两队的初始位置
        T0 = 
        {
            {pos = {-40,15}, yaw = 90, tank_cfg_id = 27, slot_pos = 1},    -- tank_cfg_id 对应 tank_basic_ids 中的 id 
            {pos = {-40,-0}, yaw = 90, tank_cfg_id = 0, slot_pos = 2},
            {pos = {-40,-15}, yaw = 90, tank_cfg_id = 0, slot_pos = 3},  
            {pos = {-60,15}, yaw = 90, tank_cfg_id = 0, slot_pos = 4},    -- tank_cfg_id 对应 tank_basic_ids 中的 id 
            {pos = {-60,0}, yaw = 90, tank_cfg_id = 0, slot_pos = 5},
            {pos = {-60,-15}, yaw = 90, tank_cfg_id = 0, slot_pos = 6},  

            {pos = {-60,-16}, yaw = 90, tank_cfg_id = 11},
            {pos = {-60,-8}, yaw = 90, tank_cfg_id = 6},
            {pos = {-60,0}, yaw = 90, tank_cfg_id = 1},  
             {pos = {-60,8}, yaw = 90, tank_cfg_id = 10},
             {pos = {-60,16}, yaw = 90, tank_cfg_id = 12},
			{pos = {-20,-80}, yaw = 45, tank_cfg_id = 2},
			{pos = {0,-80}, yaw = 45, tank_cfg_id = 3},
			{pos = {20,-80}, yaw = 45, tank_cfg_id = 4},
        },

        T1 = 
        {
            {pos = {40, -15}, yaw = 270, tank_cfg_id = 1, slot_pos = 3},            
            {pos = {40, 0}, yaw = 270, tank_cfg_id = 0, slot_pos = 2},
            {pos = {40, 15}, yaw = 270, tank_cfg_id = 0, slot_pos = 1},
            {pos = {60, -15}, yaw = 270, tank_cfg_id = 0, slot_pos = 6},            
            {pos = {60, 0}, yaw = 270, tank_cfg_id = 0, slot_pos = 5},
            {pos = {60, 15}, yaw = 270, tank_cfg_id = 0, slot_pos = 4},

            {pos = {60, 16}, yaw = 270, tank_cfg_id = 11},            
            {pos = {60, 8}, yaw = 270, tank_cfg_id = 10},
            {pos = {60, 0}, yaw = 270, tank_cfg_id = 1},
             {pos = {60, -8}, yaw = 270, tank_cfg_id = 11},
             {pos = {60, -16}, yaw = 270, tank_cfg_id = 10},
			{pos = {10, 70}, yaw = 225, tank_cfg_id = 1},
			{pos = {30, 70}, yaw = 225, tank_cfg_id = 2},
			{pos = {50, 70}, yaw = 225, tank_cfg_id = 3},
        },

        -- 士兵配置，每组士兵对应一辆战车
        --[[S0 = 
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},

        },

        S1 =
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},

        },]]

    },

    [4] = {
        scene = 'desert_Boss',   -- 关卡名称
	    offset = 0,  --站位的轻微浮动
		speedT0 = 5,
		speedT1 = 5,
        -- 入场
		vectorT0 = {0,0,0},
		vectorT1 = {0,0,0},
        -- 进军（RTS不用）
        propelT0 = {0,0,0},
        propelT1 = {-0,0,0},
        -- 罗宾（RTS不用）
        robin_T0 = {skill_id = 99901},
        robin_T1 = {skill_id = 99901},
		-- 预设阵型
		formationT0 = 5,  --肉盾型编组
		formationT1 = 12, --火炮型编组
		--formationT0 = 5, --突击型编组
		
		-- 场地坐标
		areaT0 ={-100, -30, 0, 90},
		areaT1 ={0, -30, 100, 90},
		
		-- 入场时间（RTS不用）
        entrance_time = 2,
		
        -- 镜头移动
        camera_animation = 
		{
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 19, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-179.7, 104.9, -125.3}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-179.7, 104.9, -125.3}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 1},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-81.1, 104.9, -124.7}, camera_start_size = 15, camera_end_size = 15, time = 0.5},
            { start_pos = {-81.1, 104.9, -124.7}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 15, camera_end_size = 19, time = 0.5},
            { start_pos = {-125.70,98.00,-120.80}, end_pos = {-125.70,98.00,-120.80}, camera_start_size = 19, camera_end_size = 19, time = 0.1},
        },

        -- 两队的初始位置
        T0 = 
        {
            {pos = {-55,-30}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 3, slot_pos = 1, monster_stat_id = 2},   
            {pos = {-55,10}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 3, slot_pos = 2, monster_stat_id = 2}, 
            {pos = {-55,50}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 3, slot_pos = 3, monster_stat_id = 3},
            {pos = {-55,90}, yaw = 90, tank_cfg_id = 17, officer_cfg_id = 3, slot_pos = 4, monster_stat_id = 4},
            {pos = {-75,-27}, yaw = 90, tank_cfg_id = 10, officer_cfg_id = 5, slot_pos = 5, monster_stat_id = 4},
        },

        T1 = 
        {
            {pos = {95,-35}, yaw = -90, tank_cfg_id = 1011, officer_cfg_id = 6, slot_pos = 9, monster_stat_id = 4},
        },

        -- 士兵配置，每组士兵对应一辆战车
        --[[S0 = 
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},

        },

        S1 =
        {
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},
            {tank_cfg_id = 10004, num = 3},

        },]]

    },
}