gConfig = gConfig or {}
config = config or {}
local log = logger.get("Game", "consts")

assert_old = assert
assert = function(cond, ...)
    if cond then

    else
        -- assert 失败
        print(...)
        assert_old(cond)
    end
end



return {
    psId        = 30004,        -- 体力 id
    boostId     = 30005,        -- 货币 id

    -- 特效播放优化参数
    MAX_FX_SCREEN = 50,         -- 同屏特效数量
    MAX_FX_ACTOR = 3,           -- Actor 上的特效数量
    MAX_SAME_FX_ACTOR = 2,      -- Actor 上相同特效数量
    MIN_SAME_FX_FRAME = 20,      -- 多少帧内 Actor 上不播放相同特效
    
    fps = 0,
    show_fps = true, 
    --main = require("Turn_Based.war_mgr"),
    gui = "/gui/root/game", --GameObject.Find("/gui/root/game"),
    enclosures = "%b()", 


    -- 临时做法, 集中资源索引
    assets = {
        battleui = "Assets/Frames/BattleFrame.prefab", 

        damage_text = "Assets/Prefab/Battle/Level/damage_text.prefab",
        --damage_image = "Assets/Prefab/Battle/Level/damage_image.prefab",

        hp_slider_T0 = "Assets/Prefab/Battle/Level/hp_slider_T0.prefab",
        hp_slider_T1 = "Assets/Prefab/Battle/Level/hp_slider_T1.prefab",

        foot_circle_T0 = "Assets/Prefab/Battle/World/FootCircleT0.prefab",
        foot_circle_T1 = "Assets/Prefab/Battle/World/FootCircleT1.prefab",
        blob_shadow =  "Assets/Prefab/Battle/World/blob_shadow.prefab",
        --tank_cd_T0 = "Assets/Prefab/Battle/tank_attack_cd.prefab",

        --[[
        skill_indicator_rect = 'Assets/Prefab/Battle/SkillIndicatorRect.prefab',
        skill_indicator_circle = 'Assets/Prefab/Battle/SkillIndicatorCircle.prefab',
        skill_indicator_single = 'Assets/Prefab/Battle/SkillIndicatorSingle.prefab',
        skill_indicator_line = 'Assets/Prefab/Battle/SkillIndicatorLine.prefab',
        skill_indicator_target = 'Assets/Prefab/Battle/SkillIndicatorTarget.prefab',
        ]]
        
        curves = {
            curve = 'Assets/Prefab/Curve/default.asset',            --基本的普攻弹道
            curve1 = 'Assets/Prefab/Curve/curve1.asset',            --基本的普攻弹道
            curve2 = 'Assets/Prefab/Curve/default1.asset',          --多目标导弹的弹道
            curve3 = 'Assets/Prefab/Curve/default2.asset',          --导弹普攻弹道
            curve8 = 'Assets/Prefab/Curve/curve8.asset', 	    --kv2普攻的弹道
            curve10008 = 'Assets/Prefab/Curve/curve10008.asset', 	    --kv2技能的弹道
			curve14 = 'Assets/Prefab/Curve/curve14.asset', 	    
			curve10 = 'Assets/Prefab/Curve/curve10.asset',          --导弹车普攻弹道1
            curve10_0 = 'Assets/Prefab/Curve/curve10_0.asset', 	    --导弹车普攻弹道2
            curve10010_1 = 'Assets/Prefab/Curve/curve10010_1.asset',          --导弹车技能弹道1
			curve10010_2 = 'Assets/Prefab/Curve/curve10010_2.asset',          --导弹车技能弹道2
            curve10010_3 = 'Assets/Prefab/Curve/curve10010_3.asset',          --导弹车技能弹道3
            curve10014 = 'Assets/Prefab/Curve/curve10014.asset', 	
            curve10015 = 'Assets/Prefab/Curve/curve_10015.asset',          --信标车弹道
            curve17 = 'Assets/Prefab/Curve/curve17.asset', 	    --歼星者反装甲导弹普攻弹道
            curve10017 = 'Assets/Prefab/Curve/curve10017.asset', 	--歼星者反装甲导弹技能弹道
            curve10017_1 = 'Assets/Prefab/Curve/curve10017_1.asset', 	--歼星者反装甲导弹技能弹道1
            curve10017_2 = 'Assets/Prefab/Curve/curve10017_2.asset', 	--歼星者反装甲导弹技能弹道2
            curve10017_3 = 'Assets/Prefab/Curve/curve10017_3.asset', 	--歼星者反装甲导弹技能弹道3
            curve10017_4 = 'Assets/Prefab/Curve/curve10017_4.asset', 	--歼星者反装甲导弹技能弹道4
            curve19 = 'Assets/Prefab/Curve/curve19.asset', 
            curve10019 = 'Assets/Prefab/Curve/curve10019.asset', 
            curve20 = 'Assets/Prefab/Curve/curve20.asset',          --猫车普攻弹道
            curve23 = 'Assets/Prefab/Curve/curve23.asset',          --猫车普攻弹道
            curve10023 = 'Assets/Prefab/Curve/curve10023.asset', 	--
            curve10028 = 'Assets/Prefab/Curve/curve10028.asset', 	--
            curve29 = 'Assets/Prefab/Curve/curve29.asset', 
            curve10029 = 'Assets/Prefab/Curve/curve10029.asset', 
            curve30 = 'Assets/Prefab/Curve/curve30.asset', 	    --榴弹炮普攻弹道
            curve33 = 'Assets/Prefab/Curve/curve33.asset', 	    --导弹车普攻弹道2
            curve36 = 'Assets/Prefab/Curve/curve36.asset', 	    --导弹车普攻弹道2
            curve10036 = 'Assets/Prefab/Curve/curve10036.asset', 	    --导弹车普攻弹道2
            curve38 = 'Assets/Prefab/Curve/curve38.asset', 	    --导弹车普攻弹道2
            curve10038 = 'Assets/Prefab/Curve/curve10038.asset', 	    --导弹车普攻弹道2
            curve42 = 'Assets/Prefab/Curve/curve42.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042 = 'Assets/Prefab/Curve/curve10042.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_1 = 'Assets/Prefab/Curve/curve10042_1.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_2 = 'Assets/Prefab/Curve/curve10042_2.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_3 = 'Assets/Prefab/Curve/curve10042_3.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_4 = 'Assets/Prefab/Curve/curve10042_4.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_5 = 'Assets/Prefab/Curve/curve10042_5.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_6 = 'Assets/Prefab/Curve/curve10042_6.asset', 	--歼星者反装甲导弹技能弹道4
            curve10042_7 = 'Assets/Prefab/Curve/curve10042_7.asset', 	--歼星者反装甲导弹技能弹道4
            curve44 = 'Assets/Prefab/Curve/curve44.asset', 
            curve10044 = 'Assets/Prefab/Curve/curve10044.asset', 
            curve_zhizhu_1 = 'Assets/Prefab/Curve/zhizhu_1.asset', 	--蜘蛛弹道1
            curve_zhizhu_2 = 'Assets/Prefab/Curve/zhizhu_2.asset', 	--蜘蛛弹道2
            curve_zhizhu_3 = 'Assets/Prefab/Curve/zhizhu_3.asset', 	--蜘蛛弹道3
            curve_zhizhu_4 = 'Assets/Prefab/Curve/zhizhu_4.asset', 	--蜘蛛弹道4
        },
    },

    curve_insts = {},-- 预加载的 curve 实例

    -- 预加载配置文件列表
    startup_config_files = {
        "config/attribute_config.lua",
        "config/commonvars.lua",
        "config/formation.lua",
        "config/game_copy.lua",
        "config/group_seat.lua",
        "config/map_001.lua",
        "config/map.lua",
        "config/morale.lua",
        "config/skill.lua",
        "config/strongpoint.lua",
        "config/tank_attack.lua",
        "config/tank_basic.lua",
        "config/monster_stat.lua",
        "config/weapon.lua",
        "config/stage_config.lua",
        "config/stage_config_level.lua",
        "config/shoot_effect.lua",
        "config/attribute_config.lua",
        "config/item.lua",
        "config/commander.lua",
        "config/player_config.lua",
        "config/game_copy_npc.lua",
    },

    -- 启动初始化
    init = function (self)
        -- 杂项
        -- Fenix.App.AddSearchPath("Assets/Scripts/proto")
        --Application.targetFrameRate = self.fps
        math.randomseed(os.time())  

        if logger then 
            if app:isDebug() then
                logger.set_level("INFO")    
            else
                log.info("## Set log level warn!")
                logger.set_level("WARN")    
            end

            --logger.set_level("WARN")
            --logger.set_level("ERROR")
        end

        dofile("helper/legacy.lua")
        -- 读取游戏配置文件 (仅启动时加载的配置)
        debug.profile("config loaded", function ()
            for _, cfg in ipairs(self.startup_config_files) do 
                dofile(cfg)
            end
            config.fx = require("config/effect.lua")
        end)

        -- 配置文件优化: 配置表名字简化
        config.commonvars = {}
        config.commonvars_vars:foreach(function (k, v)
            config.commonvars[k] = v.value
            config.commonvars[v.name] = v.value
            -- print(k, "=", v.value)
        end)

        -- 配置文件优化: 防止存在字符串形式的数值
        --[[
        config.attribute_config_attrs:foreach(function (k, v)
            config.tank_basic_ids:foreach(function (tank_k, tank_v)
                local tank_prop = tank_v[v.name]
                if tank_prop ~= nil and type(tank_prop) == "string" then 
                    tank_v[v.name] = tonumber(tank_prop)
                    -- print("convert", tank_k, v.name, tank_prop)
                end
            end)
        end)]]

        self:convertStringNumber(config.skill_skills, {'skill_damage_factor'})
        self:convertStringNumber(config.skill_skills, {'skill_cd','type_damage_add','p1','p2','p3','p4','p5','p6','p7','p8','p9','p10'})
        self:convertStringBool(config.skill_skills, {"hit_back"})
        --self:convertStringBool(config.skill_skills, {"is_hitten_animation_exist"})
        --self:convertStringBool(config.skill_buffs, {'cleaning'})
        --self:convertStringNumber(config.formation_positions, {'posX', 'posY'})

        -- 预先将含有属性字表的字符串解析成表
        self:readTable(config.weapon_weapons, 'basic_attr')
        self:readTable(config.skill_buffs, 'prop_tab', true)
        self:readTable(config.commander_promotions, 'stuff')
        self:readTable(config.commander_promotions, 'attr')
        self:readTable(config.commander_awakes, 'attr')
        --self:readTable(config.commander_awakes, 'skill')
        self:readTable(config.formation_lists, 'list')

        --self:addField(config.weapon_weapons, 'bagtype', 1)
        --self:addField(config.weapon_weapons, 'stack', 1)

        GameObject.Find("/gui/root/debug"):SetActive(self.show_fps)

    end, 

    -- 预加载 curves
    preloadCurves = function(self)
        app:startCoroutine(
            function()
                local add_ref = true
                for name,path in pairs(self.assets.curves) do
                    coroutine.yield(Fenix.Assets.Helper.WaitForAsset(path, UnityEngine.ScriptableObject, function(asset) 
                        local obj = asset:Get()
                        if add_ref and asset.package then
                            add_ref = false
                            asset.package:AddRef() 
                        end

                        if obj then
                            self.curve_insts[path] = obj.curve
                        else
                            log.info('failed to load curve:'..path)
                        end
                    end))
                    coroutine.yield(nil)
                end
            end
        )        
    end,

    -- 预先读取用字符串表示的 table 子表
    readTable = function(self, tab, field_name, convert_prop)
        tab:foreach(function (k, v)
            if type(v[field_name]) == 'string' then
                local raw_tab = loadstring('return '..v[field_name])()
                -- 根据 attribute 表的 isFloat 把值除以 10000
                if convert_prop then
                    for prop_id, prop_value in pairs(raw_tab) do
                        if config.attribute_config_attrs[prop_id] and config.attribute_config_attrs[prop_id].isfloat > 0 then
                            raw_tab[prop_id] = prop_value / 10000
                        end
                    end
                end
                v[field_name] = raw_tab
            else
                log.error('the field:'..field_name..' is not string')
            end
        end)
    end,

    -- 将 cfg_table 表的 fields 字段转换成数值型
    convertStringNumber = function(self, cfg_table, fields)
        cfg_table:foreach(function (k, line)
            for _, field_name in pairs(fields) do
                local value = line[field_name]
                if type(value) == 'string' then
                    line[field_name] = tonumber(value)
                end
            end
        end)
    end,

    -- string to bool
    convertStringBool = function(self, cfg_table, fields)
            cfg_table:foreach(function (k, line)
                for _, field_name in pairs(fields) do
                    local value = line[field_name]
                    if value == "False" then
                        line[field_name] = false
                    elseif value == "True" then
                        line[field_name] = true
                    end
                end
        end)
    end,

    -- 为配置表添加字段
    addField = function(self, cfg_table, field, value)
            cfg_table:foreach(function (k, line)
                line[field] = value
                end)
    end,

}