return {

    events = require("base.event").new(),

    setActives = function(self, actives)
        self.actives = {}
        for __, value in ipairs(actives) do
            self.actives[value.instId] = value
        end
        self.events:dispatch("ACTIVE_INFO_CHANGE")
    end,

    deleteActives = function(self, id_list)
        for __, instId in ipairs(id_list) do
            self.actives[instId] = nil
        end
        self.events:dispatch("ACTIVE_INFO_CHANGE")
    end,

    refreshActives = function(self, actives)
        for __, value in ipairs(actives) do
            self.actives[value.instId] = value
        end
        self.events:dispatch("ACTIVE_INFO_CHANGE")
    end,
}