super = require('game.game_state_base')
local log = logger.get("Game", "state select base")
local player = require('game.player')
require('game.shop')

return class {
    super = super,

    ctor = function(self, ...)
        super.ctor(self, ...)
    end,

    onEnter = function(self, args)
        frame_manager:show("select_base")
        network:registerMessageHandler(self)
    end,

    onUpdate = function(self, dt)
    end,

    -- 网络消息 
    onMessage = function(self, cmd, msg)
        if cmd == protocol_pb.WORLDMAPSELECITY then
            -- 选择角色成功 
            --if msg.respCode == 0 then
                -- 选择基地后进入世界地图
                game_director:changeState('loading', {next_state = 'home', scene_name = 'home'})
            --end
        end
    end,

    onExit = function(self)
        frame_manager:hide("select_base")
        network:unregisterMessageHandler(self)
    end,
}