local log = logger.get("Game", "player")

lord_cls = class {

    
    EXP_ID =    10000000,
    ENERGY_ID = 10000001,

    events = require("base.event").new(),

    ctor = function(self)

        -- 收到服务器数据
        self.rcv_server_msg = false

        -- 玩家名字
        self.name = ""
        -- 玩家昵称
        self.nickname = ""
        
        self.level = 1
        self.exp = 0
        self.max_exp = 1

        self.energy = 0
        self.max_energy = 100

        self.vip_level = 1
        self.fight_force = 0
        self.kill_num = 0

        self.icon_id = 0

        self.rmb_time = 0

        self.fuel_recover_time = 0
    end,

    onTick = function(self)
        if self.fuel_recover_time and self.fuel_recover_time > 0 then
            local elapsed = self.fuel_recover_time - Time.realtimeSinceStartup - self.rmb_time
            self.events:dispatch("FUEL_RECOVER_TICK", elapsed)
        end
    end,
}

local_lord = local_lord or lord_cls()
return local_lord
