local super = require("ui.frame")

return class {
    super = super, 

    onLoaded = function (self)
        super.onLoaded(self)
        self.text = self.transform:Find("chapter_open/font_1"):GetComponent(UnityEngine.UI.Text)       
        self.elapsed = 0.0
        local chapter_id = self.args.data
        local lang_id = config.chapter_achievement_chapters[chapter_id].chapter_name
        self.text.text = frame_helper:getLangCfg(lang_id) or "none"
        frame_manager:hide('loading')
    end,

    update = function(self, dt)
        if self.elapsed then
            self.elapsed = self.elapsed + dt
            if self.elapsed > 3.0 then
                frame_manager:hide('chapter_start')
                if frame_manager:isDisplay('home') then
                    frame_manager:show('chapter_achievement')
                end
            end
        end
    end,

    onUnload = function (self)
        
    end,

}
