local super = require("ui.frame")

return class {
    super = super, 

    onLoaded = function (self)
        super.onLoaded(self)

        self.pre_power = self.args.data.pre_power
        self.cur_power = self.args.data.cur_power
        
        clickEvents = 
        {
        }

        frame_helper:regClickEvents("click", self, clickEvents)

        self:init()
    end,

    onUnload = function (self)
    end,

    init = function(self)
        local str = tostring(self.cur_power)
        local path = "content/shuzi/layout"
        frame_helper:hideAllChild(self, path, true)
        local length = string.len(str)
        for i = 1, length do
            local num = string.sub(str, i, i)
            local item = frame_helper:getChild(self, i, path)
            item:SetActive(true)
            local icon = item:GetComponent(UnityEngine.UI.Image)
            icon:SetSprite("Assets/Arts/UIeffcet/Texture/gold_" .. num .. ".png")
        end

        -- local str = tostring(self.cur_power - self.pre_power)
        -- str = string.gsub(str, " ", "")
        -- str = string.gsub(str, "0", "")

        local str = self.cur_power - self.pre_power
        -- log.error("str:", string.len(str))

        local path = "content/shuzi+/layout"
        frame_helper:hideAllChild(self, path, true)
        local length = string.len(str)
        for i = 1, length do
            local num = string.sub(str, i, i)
            local item = frame_helper:getChild(self, i, path)
            item:SetActive(true)
            local icon = item:GetComponent(UnityEngine.UI.Image)
            icon:SetSprite("Assets/Arts/UIeffcet/Texture/green_" .. num .. ".png")
        end

        app:startCoroutine(function()
            coroutine.yield(WaitForSeconds(1.5))
            frame_manager:hide('effect_power_up')
        end) 
    end,
}
