notice_type = {
    talent_info_buy_physical_strength = 1
}

local super = require("ui.frame")

return class {
    super = super, 

    onLoaded = function (self)
        super.onLoaded(self)

        self.content = self.args.data

        clickEvents = {
            "content/bg/confirmBtn",
            "content/bg/cancelBtn",
        }

        frame_helper:regClickEvents("click", self, clickEvents)
        
        self:init(self.content)
    end,

    onUnload = function (self)
    end,

    init = function(self, content)
        local des = self:findText("content/bg/des")
        des.text = content.content
    end,

    click_confirmBtn = function(self)
        frame_manager:hide('notice_box')
        if self.content.callback then
            self.content.callback()
        end
    end,

    click_cancelBtn = function(self)
        frame_manager:hide('notice_box')
    end,
}
