require('guide/guide_helper')
local log = logger.get("Game", "guide 10006")

-- 10010 打采集资源
return 
{
    -- 条件
    condition = function()
        return true
    end,

    -- 执行过程，在协程中执行
    proc = function(id)
        log.info('guide 10010')
        local id = guide_manager.running_guide_id

        guide_helper:enableScreenMask()

        -- 弹出对话框：这里是建筑升级效果的预览
        hint:setText("Let's gather resource")    -- 这里后边换成小秘书

        -- 用户点击训练按钮
        guide_helper:waitForceButtonGuide("home", "new/buttomLeft/bg/homeBtn")

        -- 等待 worldMap 界面加载
        guide_helper:waitForFrame('worldMap')
        
        -- 搜索按钮
        guide_helper:waitForceButtonGuide("worldMap", "new/buttomRight/SearchBtn")

        -- 等搜索界面改版
        -- 搜索界面开启
        guide_helper:waitForFrame('world_map_search')
        
        -- 等待界面填充
        guide_helper:waitSearchFrameLoaded()

        guide_helper:waitForceButtonGuide("world_map_search", "BG/Pages/Page2")

        -- -- 点击搜索按钮
        -- guide_helper:waitForceButtonGuide("world_map_search", "BG/Bottom/Search")

        -- -- 等待点怪物
        -- guide_helper:waitForceMonsterGuide()

        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)
        guide_helper:guideFinished()
    end,

    -- 引导被打断
    onBreak = function(id)
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
