require('guide/guide_helper')
local log = logger.get("Game", "guide 10006")

-- 10008    关卡道具使用 
return 
{
    -- 进行的额外条件，比如资源是否够
    condition = function()
        log.info(tostring(guide_helper:isGuideComplete(10008)))
        
        if guide_helper:isGuideComplete(10008) == true then
            return false
        else 
            return true
        end
    end,

    -- 执行过程，在协程中执行
    proc = function()
        local id = guide_manager.running_guide_id

        -- 开启屏幕遮罩
        guide_helper:enableScreenMask()
        guide_helper:waitDialogFinished(313)
        coroutine.yield(guide_helper:waitForceButtonGuide('level', 'Bottom Left/ItemBar/Item_3/Icon'))

        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)

    end,

    -- 引导被打断
    onBreak = function(id)
        guide_helper:disableScreenMask()
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
