require('guide/guide_helper')
local log = logger.get("Game", "guide 10006")

-- 100011 关卡任务
return 
{
    -- 进行的额外条件，比如资源是否够
    condition = function()
        --log.error(tostring(guide_helper:isGuideComplete(10011)))
        if guide_helper:isGuideComplete(10011) == true then
            return false
        else 
            return true
        end
    end,

    -- 执行过程，在协程中执行
    proc = function()
        local id = guide_manager.running_guide_id

        -- 开启屏幕遮罩
        guide_helper:enableScreenMask()

        guide_helper:waitDialogFinished(312)

        --引导点击任务列表
        coroutine.yield(guide_helper:waitForceButtonGuide('level', 'Top Left/Mission/Panel/openAllMission/Layout/mission_1/ButtonLocate'))

        -- 关闭屏幕遮罩
        guide_helper:disableScreenMask()

        -- 引导完成
        guide_manager:onGuideComplete(id)

    end,

    -- 引导被打断
    onBreak = function(id)
        guide_helper:disableScreenMask()
    end,

    -- 引导完成回调
    onComplete = function(id)
    end,
}
