--[[

local tank_types = require("helper.tank_types")
print(tank_types.rawValue(9))  -- 9
print(tank_types.rawValue(99)) -- 1

]]

return {
    tank_types = enum {
        ["重坦"] = 1,
        ["中坦"] = 2,
        ["轻坦"] = 3,
        ["坦歼"] = 4,
        ["自行火炮"] = 5,
        ["基地"] = 9,        
    }, 

    stage_states = enum {
        "CREATE", 
        "LOAD", 
        "RUN", 
        "END", 
    }, 

    stage_events = enum {
        "SPAWN",  -- 角色创建
        "STATE",  -- 状态变化
    },

    actor_states = enum {
        "ALIVE",    -- 活着
        "DYING",    -- 正在死亡
        "DEAD",     -- 已经死亡
        "DESTROY",  -- 已销毁
    }, 
}
