local log = logger.get("Game", "LevelScript 1006")
local super = require('level.level_script.level_script_base')
local phase_base = require("level.level_script.level_phase_base")

--5个修桥的材料
local repair_kit_1 = nil    --村庄中的
local repair_kit_2 = nil    --野怪81守护的
local repair_kit_3 = nil    --野怪81守护的
local repair_kit_4 = nil    --野怪80守护的
local repair_kit_5 = nil    --野怪80守护的
local dummy = nil

local kit_pos_1 = Vector3.New(141.7,0,42.5)      --修桥材料的点，在这统一改，方便儿～～
local kit_pos_2 = Vector3.New(501.3,0,157.8)
local kit_pos_4 = Vector3.New(571.5,0,72.3)



---------------------任务变量-----------------------------
local quest_repair_bridge = 0   -- 0 未接取，1 已接取， 2 已完成
local kit_collect_count = 0
local progress_count = 0
local mob_killed_85 = 0
local mob_killed_86 = 0

---------------------交互变量-----------------------------
local block_24 = nil
local block_24_go = nil

local chest_25 = nil
local chest_25_go = nil

local chest_29 = nil
local chest_29_go = nil

local npc_go = nil

local treasure_3_go = nil
local treasure_3 = nil

local dialog3 = nil

local fog = nil
local dummy = nil

-------------------tutorials-----------------------
local tutorial_1 = false
local tutorial_2 = false
local tutorial_3 = false
local tutorial_4 = false
local tutorial_5 = false

local tutorial = {0,0,0,0}
local tutorial_index = 4
local tutorial_current_index = 1
-----------注意----------
--阶段phase是class，也就是类，而不同于之前的函数类型
--phase中的onEnter,onExit以及自己定义的函数都是类的内容，也就是table的key，所以不能在这些前面增加local 字段
--自定义函数前不能增加local
--可以在onEnter中定义额外函数并能使用local，调用类中全局函数前要使用self.调用，onEnter内部定义函数直接使用函数名调用


--第一个阶段，从进入关卡到与NPC对话完成
local phase_1 = class{
    super = phase_base,

    onEnter = function(self)
        --self.level_script:resetMarks()
        --level_script:finishLevel(true)
        self.level_script:createOpTrigger(1,1,8,self.npcQuestGet)      --对话NPC
        --怎么填这个点去看level_frame中 showTutorial函数
        -- if self.level_script:getMark(1) ~= 1 then
        --     game_state_level.gui:showTutorial('level_script_105', Vector2.New(-594, -253))
        --     tutorial_1 = true
        --     self.level_script:setMark(1,1)
        -- end
        --hint:setText('关卡难度较大，要合理切换阵型哦')
    end,

    onEnterPoint = function(self, point_id)
        -- if tutorial_current_index <= 4 then
        --     tutorial[tutorial_current_index] = point_id
        --     tutorial_current_index = tutorial_current_index + 1
        -- else
        --     tutorial_current_index = 1
        --     tutorial = {0,0,0,0}
        -- end

        -- if tutorial[1] == 29 and tutorial[2] == 29 and tutorial[3] == 29 and tutorial[4] == 29 then
        --     log.info('tutorial reset')
        --     --hint:setText('又能点击胯下的红点了！')
        --     --self.level_script:createGameObject(self.level_script.prefabs.fire, -542, 0, -208.4, 0, 1)
        --     self.level_script:resetMarks()
        -- end

        --log.error(tutorial[1]..tutorial[2]..tutorial[3]..tutorial[4])
        

        -- game_state_level.gui:hideTutorial()
        -- if point_id == 1 and tutorial_2 == false and self.level_script:getMark(2) ~= 1 then
        --     game_state_level.gui:showTutorial('level_script_106', Vector2.New(-688, -185))
        --     tutorial_2 = true
        --     self.level_script:setMark(2,1)
        -- elseif point_id == 3 and tutorial_3 == false and self.level_script:getMark(3) ~= 1 then
        --     game_state_level.gui:showTutorial('level_script_107', Vector2.New(-735, -144))
        --     tutorial_3 = true
        --     self.level_script:setMark(3,1)
        -- elseif point_id == 2 and tutorial_4 == false and self.level_script:getMark(4) ~=1 then
        --     game_state_level.gui:showTutorial('level_script_108', Vector2.New(-550, -807))
        --     game_state_level.gui:showTutorialImage()
        --     tutorial_4 = true
        --     self.level_script:setMark(4,1)
        -- end
    end,

    onBattleWin = function(self,index)
        if index == 79 then
            app:startCoroutine(
                function()
                    --self.level_script:wait(1)
                    local dialog186 = function()
                        -- if tutorial_5 == false and self.level_script:getMark(5) ~= 1 then
                        --     game_state_level.gui:showTutorial('level_script_109', Vector2(-1165,-757))
                        --     tutorial_5 = true
                        --     self.level_script:setMark(5,1)
                        -- end
                    end
                    self.level_script:playDialog(200101,dialog186)
                end
        )
        end
    end,

    onExit = function(self)
        log.info("exit phase1")
        progress_count = 0      
    end,

    -------------自定义函数区域---------------

    npcQuestGet = function()
        level_script:playDialog(200102)
        level_script:incQuestProgress(1,1)      --前往绿洲任务完成
        level_script:removeOpTrigger(1)
        quest_repair_bridge = 1
        level_script:changePhase('phase_2')
        --level_script:finishLevel(false)
        -- 去掉感叹号 
        npc_go:setHeadIcon(nil)
    end,
}

--第二个阶段，收集材料，开始修复桥梁
local phase_2 = class{
    super = phase_base,

    onEnter = function(self)
        --创建GameObject
        repair_kit_1 = self.level_script:createGameObject(self.level_script.prefabs.repair_kit,kit_pos_1.x,kit_pos_1.y,kit_pos_1.z,0,2)   
        repair_kit_2 = self.level_script:createGameObject(self.level_script.prefabs.repair_kit,kit_pos_2.x,kit_pos_2.y,kit_pos_2.z,0,2)
        repair_kit_4 = self.level_script:createGameObject(self.level_script.prefabs.repair_kit,kit_pos_4.x,kit_pos_4.y,kit_pos_4.z,0,2)

        --Trigger call back
        local kit_cb_1 = function()
            kit_collect_count = kit_collect_count + 1   --增加计数
            self.level_script:removeOpTrigger(2)        --移除trigger
            self.level_script:createGameObject(self.level_script.prefabs.op_effect,kit_pos_1.x,kit_pos_1.y,kit_pos_1.z,0,2)     --采矿特效
            self.level_script:removeGameObject(repair_kit_1)    --移除矿
            self.level_script:incQuestProgress(2,1) 
            if kit_collect_count == 3 then
                quest_repair_bridge = 2 
                --hint:setText('零件收集完成！可以开始修复桥梁了')
                level_script:changePhase('phase_3')
            end
        end

        local kit_cb_2 = function()
            kit_collect_count = kit_collect_count + 1
            self.level_script:removeOpTrigger(3)
            self.level_script:createGameObject(self.level_script.prefabs.op_effect,kit_pos_2.x,kit_pos_2.y,kit_pos_2.z,0,2)
            self.level_script:removeGameObject(repair_kit_2)
            self.level_script:incQuestProgress(2,1)
            if kit_collect_count == 3 then
                quest_repair_bridge = 2 
                --hint:setText('零件收集完成！可以开始修复桥梁了')
                level_script:changePhase('phase_3')
            end
        end

        local kit_cb_4 = function()
            kit_collect_count = kit_collect_count + 1
            self.level_script:removeOpTrigger(5)
            self.level_script:createGameObject(self.level_script.prefabs.op_effect,kit_pos_4.x,kit_pos_4.y,kit_pos_4.z,0,2)
            self.level_script:removeGameObject(repair_kit_4)
            self.level_script:incQuestProgress(2,1)
            if kit_collect_count == 3 then
                quest_repair_bridge = 2 
                --hint:setText('零件收集完成！可以开始修复桥梁了')
                level_script:changePhase('phase_3')
            end
        end

        --Create trigger
        self.level_script:createOpTrigger(2,2,10,kit_cb_1)
        self.level_script:createOpTrigger(3,2,17,kit_cb_2)
        self.level_script:createOpTrigger(5,2,18,kit_cb_4)
    end,
}

--第三个阶段，修复桥梁修复完成
local phase_3 = class{
    super = phase_base,

    onEnter = function(self)
        local text_progress = self.level_script:createGameObject(self.level_script.prefabs.progess_text,-24.78,31.3,129.04,0,5)    --桥梁进度文字
        
        local repairCallBack = function()
            app:startCoroutine(
                function()
                    local smoke_1 = self.level_script:createGameObject(self.level_script.prefabs.op_effect,-30.5,6.1,163,0,3)       --修桥烟雾
                    local smoke_2 = self.level_script:createGameObject(self.level_script.prefabs.op_effect,-19.3,6.1,146,0,3)
                    local smoke_3 = self.level_script:createGameObject(self.level_script.prefabs.op_effect,-3.6,6.1,166,0,3)
                    
                    --log.error('p3 1 ')
                    local tt = text_progress:GetComponentInChildren(UnityEngine.TextMesh,true)
                    --log.error('p3 2 ')
                    math.randomseed(Time.time)
                    progress_count = progress_count + math.random(10,30)
                    
                    if progress_count >= 100 then
                        progress_count = 100
                        tt.text = progress_count..' %'
                        self.level_script:removeGameObject(text_progress)   --删除桥
                        self.level_script:incQuestProgress(3,1)
                        self.level_script:wait(2)
                        self.level_script:playerChat('level_script_69',3)
                        self.level_script:wait(2)
                        level_script:changePhase('phase_6')
                    else 
                        tt.text = progress_count..' %'
                    end

                    self.level_script:wait(3)
                    self.level_script:removeGameObject(smoke_1)     --删除烟雾
                    self.level_script:removeGameObject(smoke_2)
                    self.level_script:removeGameObject(smoke_3)
                end
            )
        end

        local repeatRepair = function()
            app:startCoroutine(
                function()
                    self.level_script:removeOpTrigger(7)
                    for i = 1, 10 do
                        if progress_count < 100 then
                            repairCallBack()
                            self.level_script:wait(0.5)
                        else
                            break
                        end
                    end
                end
            )
        end

        self.level_script:createOpTrigger(7,3,7,repeatRepair)   --桥梁触发区域

    end,

    onExit = function(self)
        log.info('exit phase_3')
    end,
}

--第四阶段，boss出现 已废弃
local phase_4 = class{
    super = phase_base,

    onEnter = function(self)
        app:startCoroutine(
            function()
                fog = self.level_script:findGameObject('FogOfWar_2')
                fog:SetActive(false)
                local boss_1 = self.level_script:createGameObject(self.level_script.prefabs.boss_spider,-290,0,-322.7,0,1)
                self.level_script:playLevelCameraAnim('scenario-1-2_2')
                self.level_script:wait(3)
                self.level_script:playAnimation(boss_1,'born')
                self.level_script:wait(6.667)
                self.level_script:playAnimation(boss_1,'idle')
                self.level_script:wait(4.5)
                self.level_script:removeGameObject(boss_1)
                fog:SetActive(true)

                local boss_2 = self.level_script:createGameObject(self.level_script.prefabs.boss_spider,-101.7,0,32.9,-128.948,1)
                --self.level_script:cameraFocusToTransform(boss_2.transform)
                local rotateFinish = function()
                    self.level_script:gameObjectMoveTo(boss_2, dummy.transform.position, 30)    
                end
                
                local dialog261 = function()
                    app:startCoroutine(
                        function()
                            self.level_script:playAnimation(boss_2, 'walk')
                            boss_2:rotateTo(dummy.transform, 120, rotateFinish)
                            self.level_script:wait(1)
                            self.level_script:showEntity(85)
                            self.level_script:showEntity(86)
                            self.level_script:wait(1)

                            for i = 1, 8 do
                                self.level_script:entityPlayAnimation(85, 'attack')
                                self.level_script:entityShootBullet(85,10010,npc_go.transform.position,200)
                                self.level_script:wait(0.1)
                                self.level_script:entityPlayAnimation(86, 'attack')
                                self.level_script:entityShootBullet(86,10010,npc_go.transform.position,200)
                                self.level_script:wait(0.2)
                                self.level_script:wait(1.5)
                                if i == 2 then
                                    self.level_script:gameObjectChat(npc_go.go,'level_script_95',3)
                                end
                            end
                        end
                    )
                end

                local boss_arrive = false

                local bossfire = function()
                    app:startCoroutine(
                        function()
                            boss_arrive = true
                            math.randomseed(Time.time)
                            self.level_script:playAnimation(boss_2,'attack')
                            for i = 1, 20 do
                                local fire_pos = Vector3.New(-269.2 + math.random(-90,90),0,-201.7 + math.random(-40,40))
                                self.level_script:shootBullet(10010, self.level_script:findChild(boss_2.transform,"shoot"),fire_pos,150)
                                self.level_script:wait(0.2)
                                self.level_script:playCameraAnim('shake11')
                            end
                            self.level_script:playAnimation(boss_2,'idle')
                            self.level_script:wait(2)
                            --boss召唤爪牙，boss说话
                            self.level_script:playDialog(200103, dialog261)
                        end
                    )
                end
                self.level_script:wait(0.1)
                self.level_script:playAnimation(boss_2,'walk')
                self.level_script:playerChat('level_script_70',3)
                self.level_script:gameObjectMoveTo(boss_2,Vector3.New(-260.1,0,-95.1),15,bossfire)
                while boss_arrive == false do
                    self.level_script:wait(0.5)
                    self.level_script:playCameraAnim('shake11')
                end
            end
        ) 
    end,

    onExit = function(self)
    end,

    onBattleWin = function(self,index)
        if index == 85 then
            self.level_script:incQuestProgress(4,1)
            mob_killed_85 = 1

            local dialog263 = function()
                self.level_script:finishLevel(true)
            end

            if mob_killed_85 == 1 and mob_killed_86 == 1 then
                self.level_script:wait(2)
                self.level_script:playDialog(200104, dialog263)
            end  
        elseif index == 86 then
            self.level_script:incQuestProgress(4,1)
            mob_killed_86 = 1

            local dialog263 = function()
                self.level_script:finishLevel(true)
            end

            if mob_killed_85 == 1 and mob_killed_86 == 1 then
                self.level_script:wait(2)
                self.level_script:playDialog(200104, dialog263)
            end  
        end
    end,

}

--第五阶段，展现boss动画
local phase_5 = class{
    super = phase_base,

    onEnter = function(self)
        app:startCoroutine(
            function()
                

                local boss = self.level_script:createGameObject(self.level_script.prefabs.boss_spider,-536.3758,0,-271.9083,-216.993,1)
                local text_progress = self.level_script:createGameObject(self.level_script.prefabs.progess_text,-427.1,23,-313.9,0,5)

                local tt = text_progress:GetComponentInChildren(UnityEngine.TextMesh,true)

                local animation = {'attack','attack_1','attack_2','born','broken','idle','idle_1','run','walk'}
                local size = 9
                local index = 1
                local bossShow = function()
                    self.level_script:playAnimation(boss,animation[index])

                    if not tt then
                        tt = text_progress:GetComponentInChildren(UnityEngine.TextMesh,true)
                    end

                    tt.text = animation[index]
                    index = index + 1
                    if index > 9 then
                        index = 1
                    end
                end
            end
        ) 
    end,

    onExit = function(self)
    end,

}

--第六阶段，新版boss出现轰击村庄
local phase_6 = class{
    super = phase_base,

    onEnter = function(self)
        app:startCoroutine(
            function()
                local shoot_points = {'shoot1', 'shoot2', 'shoot3', 'shoot4', 'shoot5', 'shoot6', 'shoot7', 'shoot8'}   --导弹的发射点

                --fog = self.level_script:findGameObject('FogOfWar_2')
                local boss_test = self.level_script:createGameObject(self.level_script.prefabs.boss_spider,427,0,742,-168.5,1)
                self.level_script:wait(0.2)
                self.level_script:cameraFocusToTransform(boss_test.transform, true)
                --fog:SetActive(false)
                self.level_script:changeCameraFov(45)   --关卡默认31
                self.level_script:playAnimation(boss_test, 'born')
                self.level_script:wait(6.67)
                --self.level_script:playCameraAnim('2_1Bossborn')
                self.level_script:playAnimation(boss_test, 'attack')
                self.level_script:wait(1)   --前摇1秒
                
                local bulletCB = function()
                    app:startCoroutine(
                        function()
                            self.level_script:wait(3)
                            self.level_script:changeCameraFov(31)   --关卡默认31
                            self.level_script:cameraFocusToPlayer()
                            --fog:SetActive(true)
                            self.level_script:removeGameObject(boss_test)
                            level_script:changePhase('phase_7')
                        end
                    )
                end

                local bulletCB2 = function()
                    app:startCoroutine(
                        function()
                            self.level_script:playCameraAnim('shake11')
                        end
                    )
                end

                for i = 1, 3 do
                    for j = 1, 8 do
                        self.level_script:shootBullet(10010, self.level_script:findChild(boss_test.transform,shoot_points[j]),
                        Vector3.New(116 + math.random(-100,100) ,0 + math.random(-50,50), 2.4 + math.random(0,-80)), 
                        150,
                        bulletCB2)
                        --log.error(shoot_points[j]) 
                        self.level_script:wait(0.07)
                    end
                    if i == 1 then
                        local bullet = self.level_script:shootBullet(10010, self.level_script:findChild(boss_test.transform,'shoot'), Vector3.New(116, 0, 2.4), 150, bulletCB)
                        self.level_script:changeCameraFov(38)   --关卡默认31
                        self.level_script:cameraFocusToTransform(bullet.transform, true)
                    end
                end
            end
        )
    end,
}

local phase_7 = class{
    super = phase_base,

    onEnter = function(self)
        local dialog261 = function()
            app:startCoroutine(
                function()
                    --self.level_script:wait(1)
                    self.level_script:showEntity(85)
                    self.level_script:showEntity(86)
                    self.level_script:wait(1)

                    for i = 1, 30 do
                        self.level_script:wait(1)
                        if not self.level_script.level then
                            break
                        end
                        self.level_script:entityPlayAnimation(85, 'attack')
                        self.level_script:entityShootBullet(85,10010,npc_go.transform.position,200)
                        self.level_script:entityPlayAnimation(86, 'attack')
                        self.level_script:entityShootBullet(86,10010,npc_go.transform.position,200)
                        if i == 1 then
                            self.level_script:gameObjectChat(npc_go.go,'level_script_95',3)
                        end
                    end
                end
            )
        end
        self.level_script:playDialog(200103, dialog261)
    end,

    --击败爪牙后完成关卡
    onBattleWin = function(self,index)
        if index == 85 then
            self.level_script:incQuestProgress(4,1)
            mob_killed_85 = 1

            local dialog263 = function()
                self.level_script:finishLevel(true)
            end

            if mob_killed_85 == 1 and mob_killed_86 == 1 then
                self.level_script:wait(2)
                self.level_script:playDialog(200104, dialog263)
            end  
        elseif index == 86 then
            self.level_script:incQuestProgress(4,1)
            mob_killed_86 = 1

            local dialog263 = function()
                self.level_script:finishLevel(true)
            end

            if mob_killed_85 == 1 and mob_killed_86 == 1 then
                self.level_script:wait(2)
                self.level_script:playDialog(200104, dialog263)
            end  
        end
    end,
}

-- 关卡 1006 对应的脚本
----------------------
return class{
    super = super,

    -- 初始化
    init = function(self)
        self:myInit()
        self:addPhases("phase_1", phase_1(self))
        self:addPhases("phase_2", phase_2(self))
        self:addPhases("phase_3", phase_3(self))
        self:addPhases("phase_4", phase_4(self))
        self:addPhases("phase_5", phase_5(self))
        self:addPhases("phase_6", phase_6(self))
        self:addPhases("phase_7", phase_7(self))
        self:changePhase("phase_1")
    end,

    myInit = function(self)
        self.prefabs = {
            churchill = 'Assets/Prefab/Level/level_prefab_kv2.prefab',     --丘吉尔坦克，解救英雄时用到
            op_effect = 'Assets/Arts/fx/prefab_changjing/Level_effect_whitesmoke.prefab',       --搜索帐篷特效
            boss_spider = 'Assets/Prefab/Vehicle/Level_Prefab_Boss_Spider.prefab',    --蜘蛛boss
            repair_kit = 'Assets/Arts/fx8/1/prefab_guanqia/Resource_Battery.prefab',   --修复桥梁的物品
            progess_text = 'Assets/Prefab/Level/Level_progress_text.prefab',    --进度条文字
            block = 'Assets/Prefab/Level/level_block.prefab',   --路障
            chest = 'Assets/Prefab/Level/level_chest.prefab',   --宝箱
            treasure = 'Assets/Prefab/Level/level_treasure.prefab',   --宝藏
            fire = 'Assets/Prefab/Level/level_fire.prefab',
        }

        -- 预加载
        app:startCoroutine( function() 
            for k, path in pairs(self.prefabs) do
                self.pool:wait_prepare(path, 1)
            end
        end)

        self:beginOrderPatrol(84,{19,21,19,24},400)         --19 21 24

        block_24_go = self:createGameObject(self.prefabs.block,-435.8,2,-417,29,1)
        chest_25_go = self:createGameObject(self.prefabs.chest,-462.46,0,-439.73,-33,1)
        chest_29_go = self:createGameObject(self.prefabs.chest,-522.3,0,-235.2,-33,1)
        npc_go = self:createGameObject(self.prefabs.churchill,79.2,0,6.3,-54.052,2,
            function(go)
                go:setHeadIcon("Assets/Prefab/Level/Texture/exclamation.png")
            end)
        dummy = self:createGameObject(self.prefabs.chest,-405,0,196,0,0.01)
        block_24 = true
        chest_25 = true
        chest_29 = true
        treasure_3 = true
        dialog3 = true
        --隐藏boss召唤出的2个小怪
        self:hideEntity(85)
        self:hideEntity(86)

        --初始化宝藏点
        treasure_3_go = self:createGameObject(self.prefabs.chest,-134.7,-4.7,-276.6,0,1)        --28号点
    end,

    onClearRoadBlock = function(self, point_id)
        if point_id == 24 then
            self:removeGameObject(block_24_go)
        end
    end,

    onUseShovel = function(self, point_id)
        app:startCoroutine(
            function()
                if point_id == 31 and treasure_3 == true then
                    self:removeGameObject(treasure_3_go)
                    self:wait(1)
                    self:getGiftBagReward(3)
                    treasure_3 = false
                    self:incQuestProgress(7,1)
                else
                    self:wait(1)
                    hint:setText(frame_helper:getLangCfg('level_script_159'))
                end
            end
        )
    end,
    
    onEnterPoint = function(self, point_id)
        super.onEnterPoint(self, point_id)
        app:logEvent("level_enter_point_2001_"..tostring(point_id), tostring(point_id))
        if point_id == 25 and chest_25 == true then
            chest_25 = false
            self:removeGameObject(chest_25_go)
            self:getGiftBagReward(1)
        elseif point_id == 29 and chest_29 == true then
            chest_29 = false
            self:removeGameObject(chest_29_go)
            self:getGiftBagReward(2)
        elseif point_id == 31 and dialog3 == true then
            self:playDialog(200105)
            dialog3 = false
            --log.error('enter point 30')
        end
    end,
}

--点31找到海盗留言，32找到酒，28宝藏