core = require("base.unity")
app = require("base.app")
enums = require("helper.enums")
consts = require("consts")
require('game.game_director')
addRequire = require
require "protocol_pb"
local log = logger.get("Game", "consts")

Camera = UnityEngine.Camera
Physics = UnityEngine.Physics
Color = UnityEngine.Color

scripts = core.functions {
    event = require("base.event"), 
    list = require("base.list"), 
    pool = require("base.pool"), 
    scheduler = require("base.scheduler"), 
    properties = require("base.properties"), 
}


consts:init()
game_director:init()

-- 等待 平台登陆完成
if Fenix.Game.GameApp.IsSDKLogin() then
    -- 编辑器下直接进登陆
    game_director:changeState('sdk_login')
else
    -- 移动平台等待 sdk 登陆完成
    game_director:changeState('login')
end


--[[
-- 直接进战斗
local stage_id = 1
local stage = consts.main.new(stage_id)
stage:init()
]]

-- 单元测试
--require("test.unit_test")
--debug.runtests()
  

-- 性能测试
--local performance_test = require('test.unit_test_performance')
--performance_test:check()

--dofile("test/test_pb.lua")
--dofile("test/test_socket.lua")
--dofile("test/test_tcp.lua")
--dofile("test/test_test.lua")
--print("mask Agent | Object = ", core.layers("Agent", "Object"))
--app.traceback = true
--print("layer Agent = ", core.layers["Agent"])
--print("layer Agent = ", core.layers("Agent"))
-- print(require("base.app").traceback)


function MyEditorUtils_Send(cmd)
    network_sender:gm(cmd)
end