local log = logger.get("Game", "Announce")

return class{

    ctor = function(self, data)
        self.id = data.cfgId
        self.params = data.strParam
        self.cfg = config.announcement_rollscreens[self.id]
        self.content = self:getContent()
    end,

    getContent = function(self)
        local str = frame_helper:getLangCfg(self.cfg.content)

        if self.params and #self.params > 0 then
            for k, v in ipairs(self.params) do
                str = string.format( str, v )
            end
        end

        return str
    end,
}