local _log = logger.get("Game", "UnitTest")

require('RTS.bag_sys.bag_manager')
local bag_test = class
{
    typename = "BT Test.",
    

    __features = {
        debug.testable {
            run = function(self)
            end,

            failed = function(self)
            end,

            check = function(self)
                self:addItemTest()
                self:removeItemTest()
            end,    -- check


        },
    },  

    -- 顺序测试
    addItemTest = function(self)
        local cfg_id = 20001
        local inst_id = 100
        local num = 2
        local idx = 1
        bag_manager:addItem(cfg_id, inst_id, num, idx)

        bag_manager:print()
    end,

    removeItemTest = function()
        local cfg_id = 20001
        local inst_id = 100
        local num = 2
        local idx = 1
        bag_manager:removeItem(cfg_id, inst_id, num)

        bag_manager:print()
    end,
}
