world_map_formation = {
        -- 阵形id列表
        getEnableFormations = function(self)
            return level_formation:getEnableFormations()
        end,

        -- 获取预设阵型
        getPresetFormations = function(self)
            return level_formation:getPresetFormations()
        end,

        -- 获得阵容的槽位类型
        getFormationCfg = function(self, cfg_id)
            return level_formation:getFormationCfg(cfg_id)
        end,
    
        -- 随机生成阵容
        randomFormation = function(self, formation_cfg_id, idle_hero_list)
            local helper = require("gui.tool.frame_helper")
            local cfg = config.formation_lists[formation_cfg_id]
            local tb = loadstring('return ' .. cfg.list)()
            local rst = {}
            local used_tb = {}    
            for slot_id, slot_type in pairs(tb) do
                local temp = { slot_id = slot_id, slot_type = slot_type, tank_cfg_id = 0 }
                local heros = self:filterHeros(idle_hero_list, slot_type)
                for __, t in pairs(heros) do
                    if not used_tb[t.cfg_id] then
                        used_tb[t.cfg_id] = ""
                        temp.tank_cfg_id = t.cfg_id
                        break
                    end
                end
                table.insert(rst, temp)
            end
            return rst
        end,

        -- battle_type 0 全都可以 1 肉盾型 2 突击型 3 坦克型 4 火炮型
        -- 获取上阵的坦克
        filterHeros = function(self, idle_hero_list, slot_type)
            if slot_type == 0 then
                return idle_hero_list
            else
                local temp = {}
                for hero_cfg_id, hero in pairs(idle_hero_list) do
                    local cfg = config.tank_basic_ids[hero_cfg_id]
                    if cfg.type == ("type" .. slot_type) then
                        temp[hero_cfg_id] = hero
                        -- print("######", slot_type, hero.id)
                    end
                end
                return temp
            end
        end,

        getForce = function(self, MFormation, enemy_formation_id, callback)
            level_formation:getForce(MFormation, enemy_formation_id, callback)
        end,
    }